"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  SUPPORTED_LANGUAGES: () => SUPPORTED_LANGUAGES,
  SyntaxHighlighter: () => SyntaxHighlighter
});
module.exports = __toCommonJS(src_exports);

// src/components/code-line/codeLine.tsx
var import_react = require("react");
var import_theme_ui = require("theme-ui");

// src/utils/createSpan.ts
var createSpan = ({
  children,
  className
}) => {
  const properties2 = {
    className
  };
  return {
    type: "element",
    tagName: "span",
    properties: properties2,
    children
  };
};

// src/utils/createPowerSetPermutations.ts
var createPowerSetPermutations = (arr) => {
  const arrLength = arr.length;
  if (arrLength === 0 || arrLength === 1)
    return arr;
  if (arrLength === 2) {
    return [
      arr[0],
      arr[1],
      `${arr[0]}.${arr[1]}`,
      `${arr[1]}.${arr[0]}`
    ];
  }
  if (arrLength === 3) {
    return [
      arr[0],
      arr[1],
      arr[2],
      `${arr[0]}.${arr[1]}`,
      `${arr[0]}.${arr[2]}`,
      `${arr[1]}.${arr[0]}`,
      `${arr[1]}.${arr[2]}`,
      `${arr[2]}.${arr[0]}`,
      `${arr[2]}.${arr[1]}`,
      `${arr[0]}.${arr[1]}.${arr[2]}`,
      `${arr[0]}.${arr[2]}.${arr[1]}`,
      `${arr[1]}.${arr[0]}.${arr[2]}`,
      `${arr[1]}.${arr[2]}.${arr[0]}`,
      `${arr[2]}.${arr[0]}.${arr[1]}`,
      `${arr[2]}.${arr[1]}.${arr[0]}`
    ];
  }
  if (arrLength >= 4) {
    return [
      arr[0],
      arr[1],
      arr[2],
      arr[3],
      `${arr[0]}.${arr[1]}`,
      `${arr[0]}.${arr[2]}`,
      `${arr[0]}.${arr[3]}`,
      `${arr[1]}.${arr[0]}`,
      `${arr[1]}.${arr[2]}`,
      `${arr[1]}.${arr[3]}`,
      `${arr[2]}.${arr[0]}`,
      `${arr[2]}.${arr[1]}`,
      `${arr[2]}.${arr[3]}`,
      `${arr[3]}.${arr[0]}`,
      `${arr[3]}.${arr[1]}`,
      `${arr[3]}.${arr[2]}`,
      `${arr[0]}.${arr[1]}.${arr[2]}`,
      `${arr[0]}.${arr[1]}.${arr[3]}`,
      `${arr[0]}.${arr[2]}.${arr[1]}`,
      `${arr[0]}.${arr[2]}.${arr[3]}`,
      `${arr[0]}.${arr[3]}.${arr[1]}`,
      `${arr[0]}.${arr[3]}.${arr[2]}`,
      `${arr[1]}.${arr[0]}.${arr[2]}`,
      `${arr[1]}.${arr[0]}.${arr[3]}`,
      `${arr[1]}.${arr[2]}.${arr[0]}`,
      `${arr[1]}.${arr[2]}.${arr[3]}`,
      `${arr[1]}.${arr[3]}.${arr[0]}`,
      `${arr[1]}.${arr[3]}.${arr[2]}`,
      `${arr[2]}.${arr[0]}.${arr[1]}`,
      `${arr[2]}.${arr[0]}.${arr[3]}`,
      `${arr[2]}.${arr[1]}.${arr[0]}`,
      `${arr[2]}.${arr[1]}.${arr[3]}`,
      `${arr[2]}.${arr[3]}.${arr[0]}`,
      `${arr[2]}.${arr[3]}.${arr[1]}`,
      `${arr[3]}.${arr[0]}.${arr[1]}`,
      `${arr[3]}.${arr[0]}.${arr[2]}`,
      `${arr[3]}.${arr[1]}.${arr[0]}`,
      `${arr[3]}.${arr[1]}.${arr[2]}`,
      `${arr[3]}.${arr[2]}.${arr[0]}`,
      `${arr[3]}.${arr[2]}.${arr[1]}`,
      `${arr[0]}.${arr[1]}.${arr[2]}.${arr[3]}`,
      `${arr[0]}.${arr[1]}.${arr[3]}.${arr[2]}`,
      `${arr[0]}.${arr[2]}.${arr[1]}.${arr[3]}`,
      `${arr[0]}.${arr[2]}.${arr[3]}.${arr[1]}`,
      `${arr[0]}.${arr[3]}.${arr[1]}.${arr[2]}`,
      `${arr[0]}.${arr[3]}.${arr[2]}.${arr[1]}`,
      `${arr[1]}.${arr[0]}.${arr[2]}.${arr[3]}`,
      `${arr[1]}.${arr[0]}.${arr[3]}.${arr[2]}`,
      `${arr[1]}.${arr[2]}.${arr[0]}.${arr[3]}`,
      `${arr[1]}.${arr[2]}.${arr[3]}.${arr[0]}`,
      `${arr[1]}.${arr[3]}.${arr[0]}.${arr[2]}`,
      `${arr[1]}.${arr[3]}.${arr[2]}.${arr[0]}`,
      `${arr[2]}.${arr[0]}.${arr[1]}.${arr[3]}`,
      `${arr[2]}.${arr[0]}.${arr[3]}.${arr[1]}`,
      `${arr[2]}.${arr[1]}.${arr[0]}.${arr[3]}`,
      `${arr[2]}.${arr[1]}.${arr[3]}.${arr[0]}`,
      `${arr[2]}.${arr[3]}.${arr[0]}.${arr[1]}`,
      `${arr[2]}.${arr[3]}.${arr[1]}.${arr[0]}`,
      `${arr[3]}.${arr[0]}.${arr[1]}.${arr[2]}`,
      `${arr[3]}.${arr[0]}.${arr[2]}.${arr[1]}`,
      `${arr[3]}.${arr[1]}.${arr[0]}.${arr[2]}`,
      `${arr[3]}.${arr[1]}.${arr[2]}.${arr[0]}`,
      `${arr[3]}.${arr[2]}.${arr[0]}.${arr[1]}`,
      `${arr[3]}.${arr[2]}.${arr[1]}.${arr[0]}`
    ];
  }
  return [];
};

// src/lib/supportedLanguages.generated.ts
var SUPPORTED_LANGUAGES = [
  "1c",
  "abnf",
  "accesslog",
  "actionscript",
  "ada",
  "angelscript",
  "apache",
  "applescript",
  "arcade",
  "arduino",
  "armasm",
  "asciidoc",
  "aspectj",
  "autohotkey",
  "autoit",
  "avrasm",
  "awk",
  "axapta",
  "bash",
  "basic",
  "bnf",
  "brainfuck",
  "c",
  "cal",
  "capnproto",
  "ceylon",
  "clean",
  "clojure-repl",
  "clojure",
  "cmake",
  "coffeescript",
  "coq",
  "cos",
  "cpp",
  "crmsh",
  "crystal",
  "csharp",
  "csp",
  "css",
  "d",
  "dart",
  "delphi",
  "diff",
  "django",
  "dns",
  "dockerfile",
  "dos",
  "dsconfig",
  "dts",
  "dust",
  "ebnf",
  "elixir",
  "elm",
  "erb",
  "erlang-repl",
  "erlang",
  "excel",
  "fix",
  "flix",
  "fortran",
  "fsharp",
  "gams",
  "gauss",
  "gcode",
  "gherkin",
  "glsl",
  "gml",
  "go",
  "golo",
  "gradle",
  "graphql",
  "groovy",
  "haml",
  "handlebars",
  "haskell",
  "haxe",
  "hsp",
  "http",
  "hy",
  "inform7",
  "ini",
  "irpf90",
  "isbl",
  "java",
  "javascript",
  "jboss-cli",
  "json",
  "julia-repl",
  "julia",
  "kotlin",
  "lasso",
  "latex",
  "ldif",
  "leaf",
  "less",
  "lisp",
  "livecodeserver",
  "livescript",
  "llvm",
  "lsl",
  "lua",
  "makefile",
  "markdown",
  "mathematica",
  "matlab",
  "maxima",
  "mel",
  "mercury",
  "mipsasm",
  "mizar",
  "mojolicious",
  "monkey",
  "moonscript",
  "n1ql",
  "nestedtext",
  "nginx",
  "nim",
  "nix",
  "node-repl",
  "nsis",
  "objectivec",
  "ocaml",
  "openscad",
  "oxygene",
  "parser3",
  "perl",
  "pf",
  "pgsql",
  "php-template",
  "php",
  "plaintext",
  "pony",
  "powershell",
  "processing",
  "profile",
  "prolog",
  "properties",
  "protobuf",
  "puppet",
  "purebasic",
  "python-repl",
  "python",
  "q",
  "qml",
  "r",
  "reasonml",
  "rib",
  "roboconf",
  "routeros",
  "rsl",
  "ruby",
  "ruleslanguage",
  "rust",
  "sas",
  "scala",
  "scheme",
  "scilab",
  "scss",
  "shell",
  "smali",
  "smalltalk",
  "sml",
  "sqf",
  "sql",
  "stan",
  "stata",
  "step21",
  "stylus",
  "subunit",
  "swift",
  "taggerscript",
  "tap",
  "tcl",
  "thrift",
  "tp",
  "twig",
  "typescript",
  "vala",
  "vbnet",
  "vbscript-html",
  "vbscript",
  "verilog",
  "vhdl",
  "vim",
  "wasm",
  "wren",
  "x86asm",
  "xl",
  "xml",
  "xquery",
  "yaml",
  "zephir"
];

// src/lib/lowlight/all.generated.ts
var import_c = __toESM(require("highlight.js/lib/languages/1c"));
var import_abnf = __toESM(require("highlight.js/lib/languages/abnf"));
var import_accesslog = __toESM(require("highlight.js/lib/languages/accesslog"));
var import_actionscript = __toESM(require("highlight.js/lib/languages/actionscript"));
var import_ada = __toESM(require("highlight.js/lib/languages/ada"));
var import_angelscript = __toESM(require("highlight.js/lib/languages/angelscript"));
var import_apache = __toESM(require("highlight.js/lib/languages/apache"));
var import_applescript = __toESM(require("highlight.js/lib/languages/applescript"));
var import_arcade = __toESM(require("highlight.js/lib/languages/arcade"));
var import_arduino = __toESM(require("highlight.js/lib/languages/arduino"));
var import_armasm = __toESM(require("highlight.js/lib/languages/armasm"));
var import_asciidoc = __toESM(require("highlight.js/lib/languages/asciidoc"));
var import_aspectj = __toESM(require("highlight.js/lib/languages/aspectj"));
var import_autohotkey = __toESM(require("highlight.js/lib/languages/autohotkey"));
var import_autoit = __toESM(require("highlight.js/lib/languages/autoit"));
var import_avrasm = __toESM(require("highlight.js/lib/languages/avrasm"));
var import_awk = __toESM(require("highlight.js/lib/languages/awk"));
var import_axapta = __toESM(require("highlight.js/lib/languages/axapta"));
var import_bash = __toESM(require("highlight.js/lib/languages/bash"));
var import_basic = __toESM(require("highlight.js/lib/languages/basic"));
var import_bnf = __toESM(require("highlight.js/lib/languages/bnf"));
var import_brainfuck = __toESM(require("highlight.js/lib/languages/brainfuck"));
var import_c2 = __toESM(require("highlight.js/lib/languages/c"));
var import_cal = __toESM(require("highlight.js/lib/languages/cal"));
var import_capnproto = __toESM(require("highlight.js/lib/languages/capnproto"));
var import_ceylon = __toESM(require("highlight.js/lib/languages/ceylon"));
var import_clean = __toESM(require("highlight.js/lib/languages/clean"));
var import_clojure_repl = __toESM(require("highlight.js/lib/languages/clojure-repl"));
var import_clojure = __toESM(require("highlight.js/lib/languages/clojure"));
var import_cmake = __toESM(require("highlight.js/lib/languages/cmake"));
var import_coffeescript = __toESM(require("highlight.js/lib/languages/coffeescript"));
var import_coq = __toESM(require("highlight.js/lib/languages/coq"));
var import_cos = __toESM(require("highlight.js/lib/languages/cos"));
var import_cpp = __toESM(require("highlight.js/lib/languages/cpp"));
var import_crmsh = __toESM(require("highlight.js/lib/languages/crmsh"));
var import_crystal = __toESM(require("highlight.js/lib/languages/crystal"));
var import_csharp = __toESM(require("highlight.js/lib/languages/csharp"));
var import_csp = __toESM(require("highlight.js/lib/languages/csp"));
var import_css = __toESM(require("highlight.js/lib/languages/css"));
var import_d = __toESM(require("highlight.js/lib/languages/d"));
var import_dart = __toESM(require("highlight.js/lib/languages/dart"));
var import_delphi = __toESM(require("highlight.js/lib/languages/delphi"));
var import_diff = __toESM(require("highlight.js/lib/languages/diff"));
var import_django = __toESM(require("highlight.js/lib/languages/django"));
var import_dns = __toESM(require("highlight.js/lib/languages/dns"));
var import_dockerfile = __toESM(require("highlight.js/lib/languages/dockerfile"));
var import_dos = __toESM(require("highlight.js/lib/languages/dos"));
var import_dsconfig = __toESM(require("highlight.js/lib/languages/dsconfig"));
var import_dts = __toESM(require("highlight.js/lib/languages/dts"));
var import_dust = __toESM(require("highlight.js/lib/languages/dust"));
var import_ebnf = __toESM(require("highlight.js/lib/languages/ebnf"));
var import_elixir = __toESM(require("highlight.js/lib/languages/elixir"));
var import_elm = __toESM(require("highlight.js/lib/languages/elm"));
var import_erb = __toESM(require("highlight.js/lib/languages/erb"));
var import_erlang_repl = __toESM(require("highlight.js/lib/languages/erlang-repl"));
var import_erlang = __toESM(require("highlight.js/lib/languages/erlang"));
var import_excel = __toESM(require("highlight.js/lib/languages/excel"));
var import_fix = __toESM(require("highlight.js/lib/languages/fix"));
var import_flix = __toESM(require("highlight.js/lib/languages/flix"));
var import_fortran = __toESM(require("highlight.js/lib/languages/fortran"));
var import_fsharp = __toESM(require("highlight.js/lib/languages/fsharp"));
var import_gams = __toESM(require("highlight.js/lib/languages/gams"));
var import_gauss = __toESM(require("highlight.js/lib/languages/gauss"));
var import_gcode = __toESM(require("highlight.js/lib/languages/gcode"));
var import_gherkin = __toESM(require("highlight.js/lib/languages/gherkin"));
var import_glsl = __toESM(require("highlight.js/lib/languages/glsl"));
var import_gml = __toESM(require("highlight.js/lib/languages/gml"));
var import_go = __toESM(require("highlight.js/lib/languages/go"));
var import_golo = __toESM(require("highlight.js/lib/languages/golo"));
var import_gradle = __toESM(require("highlight.js/lib/languages/gradle"));
var import_graphql = __toESM(require("highlight.js/lib/languages/graphql"));
var import_groovy = __toESM(require("highlight.js/lib/languages/groovy"));
var import_haml = __toESM(require("highlight.js/lib/languages/haml"));
var import_handlebars = __toESM(require("highlight.js/lib/languages/handlebars"));
var import_haskell = __toESM(require("highlight.js/lib/languages/haskell"));
var import_haxe = __toESM(require("highlight.js/lib/languages/haxe"));
var import_hsp = __toESM(require("highlight.js/lib/languages/hsp"));
var import_http = __toESM(require("highlight.js/lib/languages/http"));
var import_hy = __toESM(require("highlight.js/lib/languages/hy"));
var import_inform7 = __toESM(require("highlight.js/lib/languages/inform7"));
var import_ini = __toESM(require("highlight.js/lib/languages/ini"));
var import_irpf90 = __toESM(require("highlight.js/lib/languages/irpf90"));
var import_isbl = __toESM(require("highlight.js/lib/languages/isbl"));
var import_java = __toESM(require("highlight.js/lib/languages/java"));
var import_javascript = __toESM(require("highlight.js/lib/languages/javascript"));
var import_jboss_cli = __toESM(require("highlight.js/lib/languages/jboss-cli"));
var import_json = __toESM(require("highlight.js/lib/languages/json"));
var import_julia_repl = __toESM(require("highlight.js/lib/languages/julia-repl"));
var import_julia = __toESM(require("highlight.js/lib/languages/julia"));
var import_kotlin = __toESM(require("highlight.js/lib/languages/kotlin"));
var import_lasso = __toESM(require("highlight.js/lib/languages/lasso"));
var import_latex = __toESM(require("highlight.js/lib/languages/latex"));
var import_ldif = __toESM(require("highlight.js/lib/languages/ldif"));
var import_leaf = __toESM(require("highlight.js/lib/languages/leaf"));
var import_less = __toESM(require("highlight.js/lib/languages/less"));
var import_lisp = __toESM(require("highlight.js/lib/languages/lisp"));
var import_livecodeserver = __toESM(require("highlight.js/lib/languages/livecodeserver"));
var import_livescript = __toESM(require("highlight.js/lib/languages/livescript"));
var import_llvm = __toESM(require("highlight.js/lib/languages/llvm"));
var import_lsl = __toESM(require("highlight.js/lib/languages/lsl"));
var import_lua = __toESM(require("highlight.js/lib/languages/lua"));
var import_makefile = __toESM(require("highlight.js/lib/languages/makefile"));
var import_markdown = __toESM(require("highlight.js/lib/languages/markdown"));
var import_mathematica = __toESM(require("highlight.js/lib/languages/mathematica"));
var import_matlab = __toESM(require("highlight.js/lib/languages/matlab"));
var import_maxima = __toESM(require("highlight.js/lib/languages/maxima"));
var import_mel = __toESM(require("highlight.js/lib/languages/mel"));
var import_mercury = __toESM(require("highlight.js/lib/languages/mercury"));
var import_mipsasm = __toESM(require("highlight.js/lib/languages/mipsasm"));
var import_mizar = __toESM(require("highlight.js/lib/languages/mizar"));
var import_mojolicious = __toESM(require("highlight.js/lib/languages/mojolicious"));
var import_monkey = __toESM(require("highlight.js/lib/languages/monkey"));
var import_moonscript = __toESM(require("highlight.js/lib/languages/moonscript"));
var import_n1ql = __toESM(require("highlight.js/lib/languages/n1ql"));
var import_nestedtext = __toESM(require("highlight.js/lib/languages/nestedtext"));
var import_nginx = __toESM(require("highlight.js/lib/languages/nginx"));
var import_nim = __toESM(require("highlight.js/lib/languages/nim"));
var import_nix = __toESM(require("highlight.js/lib/languages/nix"));
var import_node_repl = __toESM(require("highlight.js/lib/languages/node-repl"));
var import_nsis = __toESM(require("highlight.js/lib/languages/nsis"));
var import_objectivec = __toESM(require("highlight.js/lib/languages/objectivec"));
var import_ocaml = __toESM(require("highlight.js/lib/languages/ocaml"));
var import_openscad = __toESM(require("highlight.js/lib/languages/openscad"));
var import_oxygene = __toESM(require("highlight.js/lib/languages/oxygene"));
var import_parser3 = __toESM(require("highlight.js/lib/languages/parser3"));
var import_perl = __toESM(require("highlight.js/lib/languages/perl"));
var import_pf = __toESM(require("highlight.js/lib/languages/pf"));
var import_pgsql = __toESM(require("highlight.js/lib/languages/pgsql"));
var import_php_template = __toESM(require("highlight.js/lib/languages/php-template"));
var import_php = __toESM(require("highlight.js/lib/languages/php"));
var import_plaintext = __toESM(require("highlight.js/lib/languages/plaintext"));
var import_pony = __toESM(require("highlight.js/lib/languages/pony"));
var import_powershell = __toESM(require("highlight.js/lib/languages/powershell"));
var import_processing = __toESM(require("highlight.js/lib/languages/processing"));
var import_profile = __toESM(require("highlight.js/lib/languages/profile"));
var import_prolog = __toESM(require("highlight.js/lib/languages/prolog"));
var import_properties = __toESM(require("highlight.js/lib/languages/properties"));
var import_protobuf = __toESM(require("highlight.js/lib/languages/protobuf"));
var import_puppet = __toESM(require("highlight.js/lib/languages/puppet"));
var import_purebasic = __toESM(require("highlight.js/lib/languages/purebasic"));
var import_python_repl = __toESM(require("highlight.js/lib/languages/python-repl"));
var import_python = __toESM(require("highlight.js/lib/languages/python"));
var import_q = __toESM(require("highlight.js/lib/languages/q"));
var import_qml = __toESM(require("highlight.js/lib/languages/qml"));
var import_r = __toESM(require("highlight.js/lib/languages/r"));
var import_reasonml = __toESM(require("highlight.js/lib/languages/reasonml"));
var import_rib = __toESM(require("highlight.js/lib/languages/rib"));
var import_roboconf = __toESM(require("highlight.js/lib/languages/roboconf"));
var import_routeros = __toESM(require("highlight.js/lib/languages/routeros"));
var import_rsl = __toESM(require("highlight.js/lib/languages/rsl"));
var import_ruby = __toESM(require("highlight.js/lib/languages/ruby"));
var import_ruleslanguage = __toESM(require("highlight.js/lib/languages/ruleslanguage"));
var import_rust = __toESM(require("highlight.js/lib/languages/rust"));
var import_sas = __toESM(require("highlight.js/lib/languages/sas"));
var import_scala = __toESM(require("highlight.js/lib/languages/scala"));
var import_scheme = __toESM(require("highlight.js/lib/languages/scheme"));
var import_scilab = __toESM(require("highlight.js/lib/languages/scilab"));
var import_scss = __toESM(require("highlight.js/lib/languages/scss"));
var import_shell = __toESM(require("highlight.js/lib/languages/shell"));
var import_smali = __toESM(require("highlight.js/lib/languages/smali"));
var import_smalltalk = __toESM(require("highlight.js/lib/languages/smalltalk"));
var import_sml = __toESM(require("highlight.js/lib/languages/sml"));
var import_sqf = __toESM(require("highlight.js/lib/languages/sqf"));
var import_sql = __toESM(require("highlight.js/lib/languages/sql"));
var import_stan = __toESM(require("highlight.js/lib/languages/stan"));
var import_stata = __toESM(require("highlight.js/lib/languages/stata"));
var import_step21 = __toESM(require("highlight.js/lib/languages/step21"));
var import_stylus = __toESM(require("highlight.js/lib/languages/stylus"));
var import_subunit = __toESM(require("highlight.js/lib/languages/subunit"));
var import_swift = __toESM(require("highlight.js/lib/languages/swift"));
var import_taggerscript = __toESM(require("highlight.js/lib/languages/taggerscript"));
var import_tap = __toESM(require("highlight.js/lib/languages/tap"));
var import_tcl = __toESM(require("highlight.js/lib/languages/tcl"));
var import_thrift = __toESM(require("highlight.js/lib/languages/thrift"));
var import_tp = __toESM(require("highlight.js/lib/languages/tp"));
var import_twig = __toESM(require("highlight.js/lib/languages/twig"));
var import_typescript = __toESM(require("highlight.js/lib/languages/typescript"));
var import_vala = __toESM(require("highlight.js/lib/languages/vala"));
var import_vbnet = __toESM(require("highlight.js/lib/languages/vbnet"));
var import_vbscript_html = __toESM(require("highlight.js/lib/languages/vbscript-html"));
var import_vbscript = __toESM(require("highlight.js/lib/languages/vbscript"));
var import_verilog = __toESM(require("highlight.js/lib/languages/verilog"));
var import_vhdl = __toESM(require("highlight.js/lib/languages/vhdl"));
var import_vim = __toESM(require("highlight.js/lib/languages/vim"));
var import_wasm = __toESM(require("highlight.js/lib/languages/wasm"));
var import_wren = __toESM(require("highlight.js/lib/languages/wren"));
var import_x86asm = __toESM(require("highlight.js/lib/languages/x86asm"));
var import_xl = __toESM(require("highlight.js/lib/languages/xl"));
var import_xml = __toESM(require("highlight.js/lib/languages/xml"));
var import_xquery = __toESM(require("highlight.js/lib/languages/xquery"));
var import_yaml = __toESM(require("highlight.js/lib/languages/yaml"));
var import_zephir = __toESM(require("highlight.js/lib/languages/zephir"));

// src/lib/lowlight/core.ts
var import_core = __toESM(require("highlight.js/lib/core"));
var own = {}.hasOwnProperty;
var defaultPrefix = "hljs-";
var HastEmitter = class {
  constructor(options) {
    this.options = options;
    this.root = {
      type: "root",
      data: { language: null, relevance: 0 },
      children: []
    };
    this.stack = [this.root];
  }
  addText(value) {
    if (value === "")
      return;
    const current = this.stack[this.stack.length - 1];
    const tail = current.children[current.children.length - 1];
    if (tail && tail.type === "text") {
      tail.value += value;
    } else {
      current.children.push({ type: "text", value });
    }
  }
  startScope(rawName) {
    this.openNode(String(rawName));
  }
  endScope() {
    this.closeNode();
  }
  // eslint-disable-next-line no-underscore-dangle
  __addSublanguage(emitter, subLanguageName) {
    this.addSublanguage(emitter, subLanguageName);
  }
  addSublanguage(emitter, subLanguageName) {
    const current = this.stack[this.stack.length - 1];
    const results = emitter.root.children;
    if (subLanguageName) {
      current.children.push({
        type: "element",
        tagName: "span",
        properties: { className: [subLanguageName] },
        children: results
      });
    } else {
      current.children.push(...results);
    }
  }
  /**
   * @param {string} name
   */
  openNode(name) {
    const className = name.split(".").map((d2, i) => i ? d2 + "_".repeat(i) : this.options.classPrefix + d2);
    const current = this.stack[this.stack.length - 1];
    const child = {
      type: "element",
      tagName: "span",
      properties: { className },
      children: []
    };
    current.children.push(child);
    this.stack.push(child);
  }
  closeNode() {
    this.stack.pop();
  }
  // eslint-disable-next-line class-methods-use-this
  finalize() {
  }
  // eslint-disable-next-line class-methods-use-this
  toHTML() {
    return "";
  }
  // eslint-disable-next-line class-methods-use-this
  addKeyword() {
  }
  // eslint-disable-next-line class-methods-use-this
  closeAllNodes() {
  }
};
function highlight(language, value, options = {}) {
  let { prefix } = options;
  if (typeof language !== "string") {
    throw new Error(`Expected 'string' form name, got '${language}'`);
  }
  if (!import_core.default.getLanguage(language)) {
    throw new Error(`Unknown language: '${language}' is not registered`);
  }
  if (typeof value !== "string") {
    throw new Error(`Expected 'string' for value, got '${value}'`);
  }
  if (prefix === null || prefix === void 0) {
    prefix = defaultPrefix;
  }
  import_core.default.configure({ __emitter: HastEmitter, classPrefix: prefix });
  const result = import_core.default.highlight(value, { language, ignoreIllegals: true });
  import_core.default.configure({});
  if (result.errorRaised) {
    throw result.errorRaised;
  }
  const emitter = result._emitter;
  emitter.root.data.language = result.language || null;
  emitter.root.data.relevance = result.relevance;
  return emitter.root;
}
function highlightAuto(value, options = {}) {
  const subset = options.subset || import_core.default.listLanguages();
  let { prefix } = options;
  let index = -1;
  let result = {
    type: "root",
    data: { language: null, relevance: 0 },
    children: []
  };
  if (prefix === null || prefix === void 0) {
    prefix = defaultPrefix;
  }
  if (typeof value !== "string") {
    throw new Error("Expected `string` for value, got `%s`", value);
  }
  while (++index < subset.length) {
    const name = subset[index];
    if (!import_core.default.getLanguage(name))
      continue;
    const current = highlight(name, value, options);
    if (current.data.relevance > result.data.relevance)
      result = current;
  }
  return result;
}
function registerLanguage(language, syntax) {
  import_core.default.registerLanguage(language, syntax);
}
var registerAlias = (
  /**
   * @type {(
   *   ((language: string, alias: string|Array<string>) => void) &
   *   ((aliases: Record<string, string|Array<string>>) => void)
   * )}
   */
  /**
   * @param {string|Record<string, string|Array<string>>} language
   * @param {string|Array<string>} [alias]
   * @returns {void}
   */
  (language, alias) => {
    if (typeof language === "string") {
      import_core.default.registerAliases(alias, { languageName: language });
    } else {
      Object.keys(language).forEach((key) => {
        if (own.call(language, key)) {
          import_core.default.registerAliases(language[key], { languageName: key });
        }
      });
    }
  }
);
function registered(aliasOrLanguage) {
  return Boolean(import_core.default.getLanguage(aliasOrLanguage));
}
function listLanguages() {
  return import_core.default.listLanguages();
}
var lowlight = {
  highlight,
  highlightAuto,
  registerLanguage,
  registered,
  listLanguages,
  registerAlias
};

// src/lib/lowlight/all.generated.ts
lowlight.registerLanguage("1c", import_c.default);
lowlight.registerLanguage("abnf", import_abnf.default);
lowlight.registerLanguage("accesslog", import_accesslog.default);
lowlight.registerLanguage("actionscript", import_actionscript.default);
lowlight.registerLanguage("ada", import_ada.default);
lowlight.registerLanguage("angelscript", import_angelscript.default);
lowlight.registerLanguage("apache", import_apache.default);
lowlight.registerLanguage("applescript", import_applescript.default);
lowlight.registerLanguage("arcade", import_arcade.default);
lowlight.registerLanguage("arduino", import_arduino.default);
lowlight.registerLanguage("armasm", import_armasm.default);
lowlight.registerLanguage("asciidoc", import_asciidoc.default);
lowlight.registerLanguage("aspectj", import_aspectj.default);
lowlight.registerLanguage("autohotkey", import_autohotkey.default);
lowlight.registerLanguage("autoit", import_autoit.default);
lowlight.registerLanguage("avrasm", import_avrasm.default);
lowlight.registerLanguage("awk", import_awk.default);
lowlight.registerLanguage("axapta", import_axapta.default);
lowlight.registerLanguage("bash", import_bash.default);
lowlight.registerLanguage("basic", import_basic.default);
lowlight.registerLanguage("bnf", import_bnf.default);
lowlight.registerLanguage("brainfuck", import_brainfuck.default);
lowlight.registerLanguage("c", import_c2.default);
lowlight.registerLanguage("cal", import_cal.default);
lowlight.registerLanguage("capnproto", import_capnproto.default);
lowlight.registerLanguage("ceylon", import_ceylon.default);
lowlight.registerLanguage("clean", import_clean.default);
lowlight.registerLanguage("clojure-repl", import_clojure_repl.default);
lowlight.registerLanguage("clojure", import_clojure.default);
lowlight.registerLanguage("cmake", import_cmake.default);
lowlight.registerLanguage("coffeescript", import_coffeescript.default);
lowlight.registerLanguage("coq", import_coq.default);
lowlight.registerLanguage("cos", import_cos.default);
lowlight.registerLanguage("cpp", import_cpp.default);
lowlight.registerLanguage("crmsh", import_crmsh.default);
lowlight.registerLanguage("crystal", import_crystal.default);
lowlight.registerLanguage("csharp", import_csharp.default);
lowlight.registerLanguage("csp", import_csp.default);
lowlight.registerLanguage("css", import_css.default);
lowlight.registerLanguage("d", import_d.default);
lowlight.registerLanguage("dart", import_dart.default);
lowlight.registerLanguage("delphi", import_delphi.default);
lowlight.registerLanguage("diff", import_diff.default);
lowlight.registerLanguage("django", import_django.default);
lowlight.registerLanguage("dns", import_dns.default);
lowlight.registerLanguage("dockerfile", import_dockerfile.default);
lowlight.registerLanguage("dos", import_dos.default);
lowlight.registerLanguage("dsconfig", import_dsconfig.default);
lowlight.registerLanguage("dts", import_dts.default);
lowlight.registerLanguage("dust", import_dust.default);
lowlight.registerLanguage("ebnf", import_ebnf.default);
lowlight.registerLanguage("elixir", import_elixir.default);
lowlight.registerLanguage("elm", import_elm.default);
lowlight.registerLanguage("erb", import_erb.default);
lowlight.registerLanguage("erlang-repl", import_erlang_repl.default);
lowlight.registerLanguage("erlang", import_erlang.default);
lowlight.registerLanguage("excel", import_excel.default);
lowlight.registerLanguage("fix", import_fix.default);
lowlight.registerLanguage("flix", import_flix.default);
lowlight.registerLanguage("fortran", import_fortran.default);
lowlight.registerLanguage("fsharp", import_fsharp.default);
lowlight.registerLanguage("gams", import_gams.default);
lowlight.registerLanguage("gauss", import_gauss.default);
lowlight.registerLanguage("gcode", import_gcode.default);
lowlight.registerLanguage("gherkin", import_gherkin.default);
lowlight.registerLanguage("glsl", import_glsl.default);
lowlight.registerLanguage("gml", import_gml.default);
lowlight.registerLanguage("go", import_go.default);
lowlight.registerLanguage("golo", import_golo.default);
lowlight.registerLanguage("gradle", import_gradle.default);
lowlight.registerLanguage("graphql", import_graphql.default);
lowlight.registerLanguage("groovy", import_groovy.default);
lowlight.registerLanguage("haml", import_haml.default);
lowlight.registerLanguage("handlebars", import_handlebars.default);
lowlight.registerLanguage("haskell", import_haskell.default);
lowlight.registerLanguage("haxe", import_haxe.default);
lowlight.registerLanguage("hsp", import_hsp.default);
lowlight.registerLanguage("http", import_http.default);
lowlight.registerLanguage("hy", import_hy.default);
lowlight.registerLanguage("inform7", import_inform7.default);
lowlight.registerLanguage("ini", import_ini.default);
lowlight.registerLanguage("irpf90", import_irpf90.default);
lowlight.registerLanguage("isbl", import_isbl.default);
lowlight.registerLanguage("java", import_java.default);
lowlight.registerLanguage("javascript", import_javascript.default);
lowlight.registerLanguage("jboss-cli", import_jboss_cli.default);
lowlight.registerLanguage("json", import_json.default);
lowlight.registerLanguage("julia-repl", import_julia_repl.default);
lowlight.registerLanguage("julia", import_julia.default);
lowlight.registerLanguage("kotlin", import_kotlin.default);
lowlight.registerLanguage("lasso", import_lasso.default);
lowlight.registerLanguage("latex", import_latex.default);
lowlight.registerLanguage("ldif", import_ldif.default);
lowlight.registerLanguage("leaf", import_leaf.default);
lowlight.registerLanguage("less", import_less.default);
lowlight.registerLanguage("lisp", import_lisp.default);
lowlight.registerLanguage("livecodeserver", import_livecodeserver.default);
lowlight.registerLanguage("livescript", import_livescript.default);
lowlight.registerLanguage("llvm", import_llvm.default);
lowlight.registerLanguage("lsl", import_lsl.default);
lowlight.registerLanguage("lua", import_lua.default);
lowlight.registerLanguage("makefile", import_makefile.default);
lowlight.registerLanguage("markdown", import_markdown.default);
lowlight.registerLanguage("mathematica", import_mathematica.default);
lowlight.registerLanguage("matlab", import_matlab.default);
lowlight.registerLanguage("maxima", import_maxima.default);
lowlight.registerLanguage("mel", import_mel.default);
lowlight.registerLanguage("mercury", import_mercury.default);
lowlight.registerLanguage("mipsasm", import_mipsasm.default);
lowlight.registerLanguage("mizar", import_mizar.default);
lowlight.registerLanguage("mojolicious", import_mojolicious.default);
lowlight.registerLanguage("monkey", import_monkey.default);
lowlight.registerLanguage("moonscript", import_moonscript.default);
lowlight.registerLanguage("n1ql", import_n1ql.default);
lowlight.registerLanguage("nestedtext", import_nestedtext.default);
lowlight.registerLanguage("nginx", import_nginx.default);
lowlight.registerLanguage("nim", import_nim.default);
lowlight.registerLanguage("nix", import_nix.default);
lowlight.registerLanguage("node-repl", import_node_repl.default);
lowlight.registerLanguage("nsis", import_nsis.default);
lowlight.registerLanguage("objectivec", import_objectivec.default);
lowlight.registerLanguage("ocaml", import_ocaml.default);
lowlight.registerLanguage("openscad", import_openscad.default);
lowlight.registerLanguage("oxygene", import_oxygene.default);
lowlight.registerLanguage("parser3", import_parser3.default);
lowlight.registerLanguage("perl", import_perl.default);
lowlight.registerLanguage("pf", import_pf.default);
lowlight.registerLanguage("pgsql", import_pgsql.default);
lowlight.registerLanguage("php-template", import_php_template.default);
lowlight.registerLanguage("php", import_php.default);
lowlight.registerLanguage("plaintext", import_plaintext.default);
lowlight.registerLanguage("pony", import_pony.default);
lowlight.registerLanguage("powershell", import_powershell.default);
lowlight.registerLanguage("processing", import_processing.default);
lowlight.registerLanguage("profile", import_profile.default);
lowlight.registerLanguage("prolog", import_prolog.default);
lowlight.registerLanguage("properties", import_properties.default);
lowlight.registerLanguage("protobuf", import_protobuf.default);
lowlight.registerLanguage("puppet", import_puppet.default);
lowlight.registerLanguage("purebasic", import_purebasic.default);
lowlight.registerLanguage("python-repl", import_python_repl.default);
lowlight.registerLanguage("python", import_python.default);
lowlight.registerLanguage("q", import_q.default);
lowlight.registerLanguage("qml", import_qml.default);
lowlight.registerLanguage("r", import_r.default);
lowlight.registerLanguage("reasonml", import_reasonml.default);
lowlight.registerLanguage("rib", import_rib.default);
lowlight.registerLanguage("roboconf", import_roboconf.default);
lowlight.registerLanguage("routeros", import_routeros.default);
lowlight.registerLanguage("rsl", import_rsl.default);
lowlight.registerLanguage("ruby", import_ruby.default);
lowlight.registerLanguage("ruleslanguage", import_ruleslanguage.default);
lowlight.registerLanguage("rust", import_rust.default);
lowlight.registerLanguage("sas", import_sas.default);
lowlight.registerLanguage("scala", import_scala.default);
lowlight.registerLanguage("scheme", import_scheme.default);
lowlight.registerLanguage("scilab", import_scilab.default);
lowlight.registerLanguage("scss", import_scss.default);
lowlight.registerLanguage("shell", import_shell.default);
lowlight.registerLanguage("smali", import_smali.default);
lowlight.registerLanguage("smalltalk", import_smalltalk.default);
lowlight.registerLanguage("sml", import_sml.default);
lowlight.registerLanguage("sqf", import_sqf.default);
lowlight.registerLanguage("sql", import_sql.default);
lowlight.registerLanguage("stan", import_stan.default);
lowlight.registerLanguage("stata", import_stata.default);
lowlight.registerLanguage("step21", import_step21.default);
lowlight.registerLanguage("stylus", import_stylus.default);
lowlight.registerLanguage("subunit", import_subunit.default);
lowlight.registerLanguage("swift", import_swift.default);
lowlight.registerLanguage("taggerscript", import_taggerscript.default);
lowlight.registerLanguage("tap", import_tap.default);
lowlight.registerLanguage("tcl", import_tcl.default);
lowlight.registerLanguage("thrift", import_thrift.default);
lowlight.registerLanguage("tp", import_tp.default);
lowlight.registerLanguage("twig", import_twig.default);
lowlight.registerLanguage("typescript", import_typescript.default);
lowlight.registerLanguage("vala", import_vala.default);
lowlight.registerLanguage("vbnet", import_vbnet.default);
lowlight.registerLanguage("vbscript-html", import_vbscript_html.default);
lowlight.registerLanguage("vbscript", import_vbscript.default);
lowlight.registerLanguage("verilog", import_verilog.default);
lowlight.registerLanguage("vhdl", import_vhdl.default);
lowlight.registerLanguage("vim", import_vim.default);
lowlight.registerLanguage("wasm", import_wasm.default);
lowlight.registerLanguage("wren", import_wren.default);
lowlight.registerLanguage("x86asm", import_x86asm.default);
lowlight.registerLanguage("xl", import_xl.default);
lowlight.registerLanguage("xml", import_xml.default);
lowlight.registerLanguage("xquery", import_xquery.default);
lowlight.registerLanguage("yaml", import_yaml.default);
lowlight.registerLanguage("zephir", import_zephir.default);

// src/lib/styles/index.ts
var styles_exports = {};
__export(styles_exports, {
  a11yDark: () => a11yDark,
  a11yLight: () => a11yLight,
  agate: () => agate,
  anOldHope: () => anOldHope,
  androidstudio: () => androidstudio,
  arduinoLight: () => arduinoLight,
  arta: () => arta,
  ascetic: () => ascetic,
  atomOneDark: () => atomOneDark,
  atomOneDarkReasonable: () => atomOneDarkReasonable,
  atomOneLight: () => atomOneLight,
  brownPaper: () => brownPaper,
  codepenEmbed: () => codepenEmbed,
  colorBrewer: () => colorBrewer,
  dark: () => dark,
  defaultStyle: () => defaultStyle,
  devibeans: () => devibeans,
  docco: () => docco,
  far: () => far,
  felipec: () => felipec,
  foundation: () => foundation,
  github: () => github,
  githubDark: () => githubDark,
  githubDarkDimmed: () => githubDarkDimmed,
  gml: () => gml2,
  googlecode: () => googlecode,
  gradientDark: () => gradientDark,
  gradientLight: () => gradientLight,
  grayscale: () => grayscale,
  hybrid: () => hybrid,
  idea: () => idea,
  intellijLight: () => intellijLight,
  irBlack: () => irBlack,
  isblEditorDark: () => isblEditorDark,
  isblEditorLight: () => isblEditorLight,
  kimbieDark: () => kimbieDark,
  kimbieLight: () => kimbieLight,
  lightfair: () => lightfair,
  lioshi: () => lioshi,
  magula: () => magula,
  monoBlue: () => monoBlue,
  monokai: () => monokai,
  monokaiSublime: () => monokaiSublime,
  nightOwl: () => nightOwl,
  nnfxDark: () => nnfxDark,
  nnfxLight: () => nnfxLight,
  nord: () => nord,
  obsidian: () => obsidian,
  pandaSyntaxDark: () => pandaSyntaxDark,
  pandaSyntaxLight: () => pandaSyntaxLight,
  paraisoDark: () => paraisoDark,
  paraisoLight: () => paraisoLight,
  pojoaque: () => pojoaque,
  purebasic: () => purebasic2,
  qtcreatorDark: () => qtcreatorDark,
  qtcreatorLight: () => qtcreatorLight,
  rainbow: () => rainbow,
  routeros: () => routeros2,
  schoolBook: () => schoolBook,
  shadesOfPurple: () => shadesOfPurple,
  srcery: () => srcery,
  stackoverflowDark: () => stackoverflowDark,
  stackoverflowLight: () => stackoverflowLight,
  sunburst: () => sunburst,
  tokyoNightDark: () => tokyoNightDark,
  tokyoNightLight: () => tokyoNightLight,
  tomorrowNightBlue: () => tomorrowNightBlue,
  tomorrowNightBright: () => tomorrowNightBright,
  vs: () => vs,
  vs2015: () => vs2015,
  xcode: () => xcode,
  xt256: () => xt256
});

// src/lib/styles/a11yDark.generated.ts
var a11yDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#2b2b2b",
    "color": "#f8f8f2"
  },
  "hljs-comment": {
    "color": "#d4d0ab"
  },
  "hljs-quote": {
    "color": "#d4d0ab"
  },
  "hljs-deletion": {
    "color": "#ffa07a"
  },
  "hljs-name": {
    "color": "#ffa07a"
  },
  "hljs-regexp": {
    "color": "#ffa07a"
  },
  "hljs-selector-class": {
    "color": "#ffa07a"
  },
  "hljs-selector-id": {
    "color": "#ffa07a"
  },
  "hljs-tag": {
    "color": "#ffa07a"
  },
  "hljs-template-variable": {
    "color": "#ffa07a"
  },
  "hljs-variable": {
    "color": "#ffa07a"
  },
  "hljs-built_in": {
    "color": "#f5ab35"
  },
  "hljs-link": {
    "color": "#f5ab35"
  },
  "hljs-literal": {
    "color": "#f5ab35"
  },
  "hljs-meta": {
    "color": "#f5ab35"
  },
  "hljs-number": {
    "color": "#f5ab35"
  },
  "hljs-params": {
    "color": "#f5ab35"
  },
  "hljs-type": {
    "color": "#f5ab35"
  },
  "hljs-attribute": {
    "color": "gold"
  },
  "hljs-addition": {
    "color": "#abe338"
  },
  "hljs-bullet": {
    "color": "#abe338"
  },
  "hljs-string": {
    "color": "#abe338"
  },
  "hljs-symbol": {
    "color": "#abe338"
  },
  "hljs-section": {
    "color": "#00e0e0"
  },
  "hljs-title": {
    "color": "#00e0e0"
  },
  "hljs-keyword": {
    "color": "#dcc6e0"
  },
  "hljs-selector-tag": {
    "color": "#dcc6e0"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/a11yLight.generated.ts
var a11yLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fefefe",
    "color": "#545454"
  },
  "hljs-comment": {
    "color": "#696969"
  },
  "hljs-quote": {
    "color": "#696969"
  },
  "hljs-deletion": {
    "color": "#d91e18"
  },
  "hljs-name": {
    "color": "#d91e18"
  },
  "hljs-regexp": {
    "color": "#d91e18"
  },
  "hljs-selector-class": {
    "color": "#d91e18"
  },
  "hljs-selector-id": {
    "color": "#d91e18"
  },
  "hljs-tag": {
    "color": "#d91e18"
  },
  "hljs-template-variable": {
    "color": "#d91e18"
  },
  "hljs-variable": {
    "color": "#d91e18"
  },
  "hljs-attribute": {
    "color": "#aa5d00"
  },
  "hljs-built_in": {
    "color": "#aa5d00"
  },
  "hljs-link": {
    "color": "#aa5d00"
  },
  "hljs-literal": {
    "color": "#aa5d00"
  },
  "hljs-meta": {
    "color": "#aa5d00"
  },
  "hljs-number": {
    "color": "#aa5d00"
  },
  "hljs-params": {
    "color": "#aa5d00"
  },
  "hljs-type": {
    "color": "#aa5d00"
  },
  "hljs-addition": {
    "color": "green"
  },
  "hljs-bullet": {
    "color": "green"
  },
  "hljs-string": {
    "color": "green"
  },
  "hljs-symbol": {
    "color": "green"
  },
  "hljs-section": {
    "color": "#007faa"
  },
  "hljs-title": {
    "color": "#007faa"
  },
  "hljs-keyword": {
    "color": "#7928a1"
  },
  "hljs-selector-tag": {
    "color": "#7928a1"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/agate.generated.ts
var agate = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#333",
    "color": "#fff"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-meta-keyword": {
    "fontWeight": "700"
  },
  "hljs-name": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-code": {
    "fontStyle": "italic",
    "color": "#888"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-section": {
    "color": "#62c8f3"
  },
  "hljs-tag": {
    "color": "#62c8f3"
  },
  "hljs-selector-class": {
    "color": "#ade5fc"
  },
  "hljs-selector-id": {
    "color": "#ade5fc"
  },
  "hljs-template-variable": {
    "color": "#ade5fc"
  },
  "hljs-variable": {
    "color": "#ade5fc"
  },
  "hljs-meta-string": {
    "color": "#a2fca2"
  },
  "hljs-string": {
    "color": "#a2fca2"
  },
  "hljs-attr": {
    "color": "#7bd694"
  },
  "hljs-quote": {
    "color": "#7bd694"
  },
  "hljs-selector-attr": {
    "color": "#7bd694"
  },
  "hljs-tag .hljs-attr": {
    "color": "inherit"
  },
  "hljs-attribute": {
    "color": "#ffa"
  },
  "hljs-title": {
    "color": "#ffa"
  },
  "hljs-type": {
    "color": "#ffa"
  },
  "hljs-number": {
    "color": "#d36363"
  },
  "hljs-symbol": {
    "color": "#d36363"
  },
  "hljs-bullet": {
    "color": "#b8d8a2"
  },
  "hljs-template-tag": {
    "color": "#b8d8a2"
  },
  "hljs-built_in": {
    "color": "#fcc28c"
  },
  "hljs-keyword": {
    "color": "#fcc28c"
  },
  "hljs-literal": {
    "color": "#fcc28c"
  },
  "hljs-selector-tag": {
    "color": "#fcc28c"
  },
  "hljs-comment": {
    "color": "#888"
  },
  "hljs-formula": {
    "color": "#888"
  },
  "hljs-link": {
    "color": "#c6b4f0"
  },
  "hljs-regexp": {
    "color": "#c6b4f0"
  },
  "hljs-selector-pseudo": {
    "color": "#c6b4f0"
  },
  "hljs-meta": {
    "color": "#fc9b9b"
  },
  "hljs-deletion": {
    "background": "#fc9b9b",
    "color": "#333"
  },
  "hljs-addition": {
    "background": "#a2fca2",
    "color": "#333"
  },
  "hljs-subst": {
    "color": "#fff"
  },
  "hljs mark": {
    "background": "#555",
    "color": "inherit"
  }
};

// src/lib/styles/anOldHope.generated.ts
var anOldHope = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#1c1d21",
    "color": "#c0c5ce"
  },
  "hljs-comment": {
    "color": "#b6b18b"
  },
  "hljs-quote": {
    "color": "#b6b18b"
  },
  "hljs-deletion": {
    "color": "#eb3c54"
  },
  "hljs-name": {
    "color": "#eb3c54"
  },
  "hljs-regexp": {
    "color": "#eb3c54"
  },
  "hljs-selector-class": {
    "color": "#eb3c54"
  },
  "hljs-selector-id": {
    "color": "#eb3c54"
  },
  "hljs-tag": {
    "color": "#eb3c54"
  },
  "hljs-template-variable": {
    "color": "#eb3c54"
  },
  "hljs-variable": {
    "color": "#eb3c54"
  },
  "hljs-built_in": {
    "color": "#e7ce56"
  },
  "hljs-link": {
    "color": "#e7ce56"
  },
  "hljs-literal": {
    "color": "#e7ce56"
  },
  "hljs-meta": {
    "color": "#e7ce56"
  },
  "hljs-number": {
    "color": "#e7ce56"
  },
  "hljs-params": {
    "color": "#e7ce56"
  },
  "hljs-type": {
    "color": "#e7ce56"
  },
  "hljs-attribute": {
    "color": "#ee7c2b"
  },
  "hljs-addition": {
    "color": "#4fb4d7"
  },
  "hljs-bullet": {
    "color": "#4fb4d7"
  },
  "hljs-string": {
    "color": "#4fb4d7"
  },
  "hljs-symbol": {
    "color": "#4fb4d7"
  },
  "hljs-section": {
    "color": "#78bb65"
  },
  "hljs-title": {
    "color": "#78bb65"
  },
  "hljs-keyword": {
    "color": "#b45ea4"
  },
  "hljs-selector-tag": {
    "color": "#b45ea4"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/androidstudio.generated.ts
var androidstudio = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#a9b7c6",
    "background": "#282b2e"
  },
  "hljs-bullet": {
    "color": "#6897bb"
  },
  "hljs-literal": {
    "color": "#6897bb"
  },
  "hljs-number": {
    "color": "#6897bb"
  },
  "hljs-symbol": {
    "color": "#6897bb"
  },
  "hljs-deletion": {
    "color": "#cc7832"
  },
  "hljs-keyword": {
    "color": "#cc7832"
  },
  "hljs-selector-tag": {
    "color": "#cc7832"
  },
  "hljs-link": {
    "color": "#629755"
  },
  "hljs-template-variable": {
    "color": "#629755"
  },
  "hljs-variable": {
    "color": "#629755"
  },
  "hljs-comment": {
    "color": "grey"
  },
  "hljs-quote": {
    "color": "grey"
  },
  "hljs-meta": {
    "color": "#bbb529"
  },
  "hljs-addition": {
    "color": "#6a8759"
  },
  "hljs-attribute": {
    "color": "#6a8759"
  },
  "hljs-string": {
    "color": "#6a8759"
  },
  "hljs-section": {
    "color": "#ffc66d"
  },
  "hljs-title": {
    "color": "#ffc66d"
  },
  "hljs-type": {
    "color": "#ffc66d"
  },
  "hljs-name": {
    "color": "#e8bf6a"
  },
  "hljs-selector-class": {
    "color": "#e8bf6a"
  },
  "hljs-selector-id": {
    "color": "#e8bf6a"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/arduinoLight.generated.ts
var arduinoLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#434f54"
  },
  "hljs-subst": {
    "color": "#434f54"
  },
  "hljs-attribute": {
    "color": "#00979d"
  },
  "hljs-doctag": {
    "color": "#00979d"
  },
  "hljs-keyword": {
    "color": "#00979d"
  },
  "hljs-name": {
    "color": "#00979d"
  },
  "hljs-selector-tag": {
    "color": "#00979d"
  },
  "hljs-addition": {
    "color": "#d35400"
  },
  "hljs-built_in": {
    "color": "#d35400"
  },
  "hljs-bullet": {
    "color": "#d35400"
  },
  "hljs-code": {
    "color": "#d35400"
  },
  "hljs-literal": {
    "color": "#d35400"
  },
  "hljs-link": {
    "color": "#00979d"
  },
  "hljs-regexp": {
    "color": "#00979d"
  },
  "hljs-selector-attr": {
    "color": "#00979d"
  },
  "hljs-selector-pseudo": {
    "color": "#00979d"
  },
  "hljs-symbol": {
    "color": "#00979d"
  },
  "hljs-template-variable": {
    "color": "#00979d"
  },
  "hljs-variable": {
    "color": "#00979d"
  },
  "hljs-deletion": {
    "color": "#005c5f"
  },
  "hljs-quote": {
    "color": "#005c5f"
  },
  "hljs-selector-class": {
    "color": "#005c5f"
  },
  "hljs-selector-id": {
    "color": "#005c5f"
  },
  "hljs-string": {
    "color": "#005c5f"
  },
  "hljs-template-tag": {
    "color": "#005c5f"
  },
  "hljs-type": {
    "color": "#005c5f"
  },
  "hljs-comment": {
    "color": "rgba(149,165,166,.8)"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#728e00"
  },
  "hljs-meta": {
    "color": "#434f54"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-function": {
    "color": "#728e00"
  },
  "hljs-section": {
    "color": "#800",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#800",
    "fontWeight": "700"
  },
  "hljs-number": {
    "color": "#8a7b52"
  }
};

// src/lib/styles/arta.generated.ts
var arta = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#222",
    "color": "#aaa"
  },
  "hljs-subst": {
    "color": "#aaa"
  },
  "hljs-section": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-comment": {
    "color": "#444"
  },
  "hljs-meta": {
    "color": "#444"
  },
  "hljs-quote": {
    "color": "#444"
  },
  "hljs-bullet": {
    "color": "#fc3"
  },
  "hljs-regexp": {
    "color": "#fc3"
  },
  "hljs-string": {
    "color": "#fc3"
  },
  "hljs-symbol": {
    "color": "#fc3"
  },
  "hljs-addition": {
    "color": "#0c6"
  },
  "hljs-number": {
    "color": "#0c6"
  },
  "hljs-attribute": {
    "color": "#32aaee"
  },
  "hljs-built_in": {
    "color": "#32aaee"
  },
  "hljs-link": {
    "color": "#32aaee"
  },
  "hljs-literal": {
    "color": "#32aaee"
  },
  "hljs-template-variable": {
    "color": "#32aaee"
  },
  "hljs-type": {
    "color": "#32aaee"
  },
  "hljs-keyword": {
    "color": "#64a"
  },
  "hljs-name": {
    "color": "#64a"
  },
  "hljs-selector-class": {
    "color": "#64a"
  },
  "hljs-selector-id": {
    "color": "#64a"
  },
  "hljs-selector-tag": {
    "color": "#64a"
  },
  "hljs-deletion": {
    "color": "#b16"
  },
  "hljs-template-tag": {
    "color": "#b16"
  },
  "hljs-title": {
    "color": "#b16"
  },
  "hljs-variable": {
    "color": "#b16"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/ascetic.generated.ts
var ascetic = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#000"
  },
  "hljs-addition": {
    "color": "#888"
  },
  "hljs-attribute": {
    "color": "#888"
  },
  "hljs-bullet": {
    "color": "#888"
  },
  "hljs-link": {
    "color": "#888"
  },
  "hljs-section": {
    "color": "#888",
    "fontWeight": "700"
  },
  "hljs-string": {
    "color": "#888"
  },
  "hljs-symbol": {
    "color": "#888"
  },
  "hljs-template-variable": {
    "color": "#888"
  },
  "hljs-variable": {
    "color": "#888"
  },
  "hljs-comment": {
    "color": "#ccc"
  },
  "hljs-deletion": {
    "color": "#ccc"
  },
  "hljs-meta": {
    "color": "#ccc"
  },
  "hljs-quote": {
    "color": "#ccc"
  },
  "hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-name": {
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-type": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/atomOneDarkReasonable.generated.ts
var atomOneDarkReasonable = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#abb2bf",
    "background": "#282c34"
  },
  "hljs-keyword": {
    "color": "#f92672"
  },
  "hljs-operator": {
    "color": "#f92672"
  },
  "hljs-pattern-match": {
    "color": "#f92672"
  },
  "hljs-function": {
    "color": "#61aeee"
  },
  "hljs-pattern-match .hljs-constructor": {
    "color": "#61aeee"
  },
  "hljs-function .hljs-params": {
    "color": "#a6e22e"
  },
  "hljs-function .hljs-params .hljs-typing": {
    "color": "#fd971f"
  },
  "hljs-module-access .hljs-module": {
    "color": "#7e57c2"
  },
  "hljs-constructor": {
    "color": "#e2b93d"
  },
  "hljs-constructor .hljs-string": {
    "color": "#9ccc65"
  },
  "hljs-comment": {
    "color": "#b18eb1",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#b18eb1",
    "fontStyle": "italic"
  },
  "hljs-doctag": {
    "color": "#c678dd"
  },
  "hljs-formula": {
    "color": "#c678dd"
  },
  "hljs-deletion": {
    "color": "#e06c75"
  },
  "hljs-name": {
    "color": "#e06c75"
  },
  "hljs-section": {
    "color": "#e06c75"
  },
  "hljs-selector-tag": {
    "color": "#e06c75"
  },
  "hljs-subst": {
    "color": "#e06c75"
  },
  "hljs-literal": {
    "color": "#56b6c2"
  },
  "hljs-addition": {
    "color": "#98c379"
  },
  "hljs-attribute": {
    "color": "#98c379"
  },
  "hljs-meta .hljs-string": {
    "color": "#98c379"
  },
  "hljs-regexp": {
    "color": "#98c379"
  },
  "hljs-string": {
    "color": "#98c379"
  },
  "hljs-built_in": {
    "color": "#e6c07b"
  },
  "hljs-class .hljs-title": {
    "color": "#e6c07b"
  },
  "hljs-title.class_": {
    "color": "#e6c07b"
  },
  "hljs-attr": {
    "color": "#d19a66"
  },
  "hljs-number": {
    "color": "#d19a66"
  },
  "hljs-selector-attr": {
    "color": "#d19a66"
  },
  "hljs-selector-class": {
    "color": "#d19a66"
  },
  "hljs-selector-pseudo": {
    "color": "#d19a66"
  },
  "hljs-template-variable": {
    "color": "#d19a66"
  },
  "hljs-type": {
    "color": "#d19a66"
  },
  "hljs-variable": {
    "color": "#d19a66"
  },
  "hljs-bullet": {
    "color": "#61aeee"
  },
  "hljs-link": {
    "color": "#61aeee",
    "textDecoration": "underline"
  },
  "hljs-meta": {
    "color": "#61aeee"
  },
  "hljs-selector-id": {
    "color": "#61aeee"
  },
  "hljs-symbol": {
    "color": "#61aeee"
  },
  "hljs-title": {
    "color": "#61aeee"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/atomOneDark.generated.ts
var atomOneDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#abb2bf",
    "background": "#282c34"
  },
  "hljs-comment": {
    "color": "#5c6370",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#5c6370",
    "fontStyle": "italic"
  },
  "hljs-doctag": {
    "color": "#c678dd"
  },
  "hljs-formula": {
    "color": "#c678dd"
  },
  "hljs-keyword": {
    "color": "#c678dd"
  },
  "hljs-deletion": {
    "color": "#e06c75"
  },
  "hljs-name": {
    "color": "#e06c75"
  },
  "hljs-section": {
    "color": "#e06c75"
  },
  "hljs-selector-tag": {
    "color": "#e06c75"
  },
  "hljs-subst": {
    "color": "#e06c75"
  },
  "hljs-literal": {
    "color": "#56b6c2"
  },
  "hljs-addition": {
    "color": "#98c379"
  },
  "hljs-attribute": {
    "color": "#98c379"
  },
  "hljs-meta .hljs-string": {
    "color": "#98c379"
  },
  "hljs-regexp": {
    "color": "#98c379"
  },
  "hljs-string": {
    "color": "#98c379"
  },
  "hljs-attr": {
    "color": "#d19a66"
  },
  "hljs-number": {
    "color": "#d19a66"
  },
  "hljs-selector-attr": {
    "color": "#d19a66"
  },
  "hljs-selector-class": {
    "color": "#d19a66"
  },
  "hljs-selector-pseudo": {
    "color": "#d19a66"
  },
  "hljs-template-variable": {
    "color": "#d19a66"
  },
  "hljs-type": {
    "color": "#d19a66"
  },
  "hljs-variable": {
    "color": "#d19a66"
  },
  "hljs-bullet": {
    "color": "#61aeee"
  },
  "hljs-link": {
    "color": "#61aeee",
    "textDecoration": "underline"
  },
  "hljs-meta": {
    "color": "#61aeee"
  },
  "hljs-selector-id": {
    "color": "#61aeee"
  },
  "hljs-symbol": {
    "color": "#61aeee"
  },
  "hljs-title": {
    "color": "#61aeee"
  },
  "hljs-built_in": {
    "color": "#e6c07b"
  },
  "hljs-class .hljs-title": {
    "color": "#e6c07b"
  },
  "hljs-title.class_": {
    "color": "#e6c07b"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/atomOneLight.generated.ts
var atomOneLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#383a42",
    "background": "#fafafa"
  },
  "hljs-comment": {
    "color": "#a0a1a7",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#a0a1a7",
    "fontStyle": "italic"
  },
  "hljs-doctag": {
    "color": "#a626a4"
  },
  "hljs-formula": {
    "color": "#a626a4"
  },
  "hljs-keyword": {
    "color": "#a626a4"
  },
  "hljs-deletion": {
    "color": "#e45649"
  },
  "hljs-name": {
    "color": "#e45649"
  },
  "hljs-section": {
    "color": "#e45649"
  },
  "hljs-selector-tag": {
    "color": "#e45649"
  },
  "hljs-subst": {
    "color": "#e45649"
  },
  "hljs-literal": {
    "color": "#0184bb"
  },
  "hljs-addition": {
    "color": "#50a14f"
  },
  "hljs-attribute": {
    "color": "#50a14f"
  },
  "hljs-meta .hljs-string": {
    "color": "#50a14f"
  },
  "hljs-regexp": {
    "color": "#50a14f"
  },
  "hljs-string": {
    "color": "#50a14f"
  },
  "hljs-attr": {
    "color": "#986801"
  },
  "hljs-number": {
    "color": "#986801"
  },
  "hljs-selector-attr": {
    "color": "#986801"
  },
  "hljs-selector-class": {
    "color": "#986801"
  },
  "hljs-selector-pseudo": {
    "color": "#986801"
  },
  "hljs-template-variable": {
    "color": "#986801"
  },
  "hljs-type": {
    "color": "#986801"
  },
  "hljs-variable": {
    "color": "#986801"
  },
  "hljs-bullet": {
    "color": "#4078f2"
  },
  "hljs-link": {
    "color": "#4078f2",
    "textDecoration": "underline"
  },
  "hljs-meta": {
    "color": "#4078f2"
  },
  "hljs-selector-id": {
    "color": "#4078f2"
  },
  "hljs-symbol": {
    "color": "#4078f2"
  },
  "hljs-title": {
    "color": "#4078f2"
  },
  "hljs-built_in": {
    "color": "#c18401"
  },
  "hljs-class .hljs-title": {
    "color": "#c18401"
  },
  "hljs-title.class_": {
    "color": "#c18401"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/brownPaper.generated.ts
var brownPaper = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#363c69",
    "background": "url(./brown-papersq.png) #b7a68e"
  },
  "hljs-keyword": {
    "color": "#059",
    "fontWeight": "700"
  },
  "hljs-literal": {
    "color": "#059",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#059",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#2c009f"
  },
  "hljs-attribute": {
    "color": "#2c009f"
  },
  "hljs-built_in": {
    "color": "#2c009f"
  },
  "hljs-bullet": {
    "color": "#2c009f"
  },
  "hljs-link": {
    "color": "#2c009f"
  },
  "hljs-name": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-section": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-string": {
    "color": "#2c009f"
  },
  "hljs-symbol": {
    "color": "#2c009f"
  },
  "hljs-template-tag": {
    "color": "#2c009f"
  },
  "hljs-template-variable": {
    "color": "#2c009f"
  },
  "hljs-title": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#2c009f"
  },
  "hljs-comment": {
    "color": "#802022"
  },
  "hljs-deletion": {
    "color": "#802022"
  },
  "hljs-meta": {
    "color": "#802022"
  },
  "hljs-quote": {
    "color": "#802022"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/codepenEmbed.generated.ts
var codepenEmbed = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#222",
    "color": "#fff"
  },
  "hljs-comment": {
    "color": "#777"
  },
  "hljs-quote": {
    "color": "#777"
  },
  "hljs-built_in": {
    "color": "#ab875d"
  },
  "hljs-bullet": {
    "color": "#ab875d"
  },
  "hljs-deletion": {
    "color": "#ab875d"
  },
  "hljs-link": {
    "color": "#ab875d"
  },
  "hljs-literal": {
    "color": "#ab875d"
  },
  "hljs-meta": {
    "color": "#ab875d"
  },
  "hljs-number": {
    "color": "#ab875d"
  },
  "hljs-params": {
    "color": "#ab875d"
  },
  "hljs-regexp": {
    "color": "#ab875d"
  },
  "hljs-symbol": {
    "color": "#ab875d"
  },
  "hljs-tag": {
    "color": "#ab875d"
  },
  "hljs-template-variable": {
    "color": "#ab875d"
  },
  "hljs-variable": {
    "color": "#ab875d"
  },
  "hljs-attribute": {
    "color": "#9b869b"
  },
  "hljs-name": {
    "color": "#9b869b"
  },
  "hljs-section": {
    "color": "#9b869b"
  },
  "hljs-selector-class": {
    "color": "#9b869b"
  },
  "hljs-selector-id": {
    "color": "#9b869b"
  },
  "hljs-title": {
    "color": "#9b869b"
  },
  "hljs-type": {
    "color": "#9b869b"
  },
  "hljs-addition": {
    "color": "#8f9c6c"
  },
  "hljs-keyword": {
    "color": "#8f9c6c"
  },
  "hljs-selector-tag": {
    "color": "#8f9c6c"
  },
  "hljs-string": {
    "color": "#8f9c6c"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/colorBrewer.generated.ts
var colorBrewer = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#000",
    "background": "#fff"
  },
  "hljs-addition": {
    "color": "#756bb1"
  },
  "hljs-meta": {
    "color": "#756bb1"
  },
  "hljs-string": {
    "color": "#756bb1"
  },
  "hljs-symbol": {
    "color": "#756bb1"
  },
  "hljs-template-tag": {
    "color": "#756bb1"
  },
  "hljs-template-variable": {
    "color": "#756bb1"
  },
  "hljs-comment": {
    "color": "#636363"
  },
  "hljs-quote": {
    "color": "#636363"
  },
  "hljs-bullet": {
    "color": "#31a354"
  },
  "hljs-link": {
    "color": "#31a354"
  },
  "hljs-literal": {
    "color": "#31a354"
  },
  "hljs-number": {
    "color": "#31a354"
  },
  "hljs-regexp": {
    "color": "#31a354"
  },
  "hljs-deletion": {
    "color": "#88f"
  },
  "hljs-variable": {
    "color": "#88f"
  },
  "hljs-built_in": {
    "color": "#3182bd"
  },
  "hljs-doctag": {
    "color": "#3182bd"
  },
  "hljs-keyword": {
    "color": "#3182bd"
  },
  "hljs-name": {
    "color": "#3182bd"
  },
  "hljs-section": {
    "color": "#3182bd"
  },
  "hljs-selector-class": {
    "color": "#3182bd"
  },
  "hljs-selector-id": {
    "color": "#3182bd"
  },
  "hljs-selector-tag": {
    "color": "#3182bd"
  },
  "hljs-strong": {
    "color": "#3182bd"
  },
  "hljs-tag": {
    "color": "#3182bd"
  },
  "hljs-title": {
    "color": "#3182bd"
  },
  "hljs-type": {
    "color": "#3182bd"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-attribute": {
    "color": "#e6550d"
  }
};

// src/lib/styles/dark.generated.ts
var dark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#ddd",
    "background": "#303030"
  },
  "hljs-keyword": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-link": {
    "color": "#fff"
  },
  "hljs-literal": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-section": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#d88"
  },
  "hljs-attribute": {
    "color": "#d88"
  },
  "hljs-built_in": {
    "color": "#d88"
  },
  "hljs-bullet": {
    "color": "#d88"
  },
  "hljs-name": {
    "color": "#d88",
    "fontWeight": "700"
  },
  "hljs-string": {
    "color": "#d88"
  },
  "hljs-symbol": {
    "color": "#d88"
  },
  "hljs-template-tag": {
    "color": "#d88"
  },
  "hljs-template-variable": {
    "color": "#d88"
  },
  "hljs-title": {
    "color": "#d88",
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#d88",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#d88"
  },
  "hljs-comment": {
    "color": "#979797"
  },
  "hljs-deletion": {
    "color": "#979797"
  },
  "hljs-meta": {
    "color": "#979797"
  },
  "hljs-quote": {
    "color": "#979797"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/defaultStyle.generated.ts
var defaultStyle = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#f3f3f3",
    "color": "#444"
  },
  "hljs-comment": {
    "color": "#697070"
  },
  "hljs-punctuation": {
    "color": "#444a"
  },
  "hljs-tag": {
    "color": "#444a"
  },
  "hljs-tag .hljs-attr": {
    "color": "#444"
  },
  "hljs-tag .hljs-name": {
    "color": "#444"
  },
  "hljs-attribute": {
    "fontWeight": "700"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-name": {
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "fontWeight": "700"
  },
  "hljs-deletion": {
    "color": "#800"
  },
  "hljs-number": {
    "color": "#800"
  },
  "hljs-quote": {
    "color": "#800"
  },
  "hljs-selector-class": {
    "color": "#800"
  },
  "hljs-selector-id": {
    "color": "#800"
  },
  "hljs-string": {
    "color": "#800"
  },
  "hljs-template-tag": {
    "color": "#800"
  },
  "hljs-type": {
    "color": "#800"
  },
  "hljs-section": {
    "color": "#800",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#800",
    "fontWeight": "700"
  },
  "hljs-link": {
    "color": "#ab5656"
  },
  "hljs-operator": {
    "color": "#ab5656"
  },
  "hljs-regexp": {
    "color": "#ab5656"
  },
  "hljs-selector-attr": {
    "color": "#ab5656"
  },
  "hljs-selector-pseudo": {
    "color": "#ab5656"
  },
  "hljs-symbol": {
    "color": "#ab5656"
  },
  "hljs-template-variable": {
    "color": "#ab5656"
  },
  "hljs-variable": {
    "color": "#ab5656"
  },
  "hljs-literal": {
    "color": "#695"
  },
  "hljs-addition": {
    "color": "#397300"
  },
  "hljs-built_in": {
    "color": "#397300"
  },
  "hljs-bullet": {
    "color": "#397300"
  },
  "hljs-code": {
    "color": "#397300"
  },
  "hljs-meta": {
    "color": "#1f7199"
  },
  "hljs-meta .hljs-string": {
    "color": "#38a"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/devibeans.generated.ts
var devibeans = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#000",
    "color": "#a39e9b"
  },
  "hljs-attr": {
    "color": "#8787d7"
  },
  "hljs-template-tag": {
    "color": "#8787d7"
  },
  "hljs-comment": {
    "color": "#396"
  },
  "hljs-doctag": {
    "color": "#396"
  },
  "hljs-quote": {
    "color": "#396"
  },
  "hljs-params": {
    "color": "#a39e9b"
  },
  "hljs-regexp": {
    "color": "#d700ff"
  },
  "hljs-literal": {
    "color": "#ef5350"
  },
  "hljs-number": {
    "color": "#ef5350"
  },
  "hljs-selector-id": {
    "color": "#ef5350"
  },
  "hljs-tag": {
    "color": "#ef5350"
  },
  "hljs-meta": {
    "color": "#0087ff"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#0087ff"
  },
  "hljs-code": {
    "color": "#64b5f6"
  },
  "hljs-formula": {
    "color": "#64b5f6"
  },
  "hljs-keyword": {
    "color": "#64b5f6"
  },
  "hljs-link": {
    "color": "#64b5f6"
  },
  "hljs-selector-attr": {
    "color": "#64b5f6"
  },
  "hljs-selector-class": {
    "color": "#64b5f6"
  },
  "hljs-selector-pseudo": {
    "color": "#64b5f6"
  },
  "hljs-template-variable": {
    "color": "#64b5f6"
  },
  "hljs-variable": {
    "color": "#64b5f6"
  },
  "hljs-built_in": {
    "color": "#ff8700"
  },
  "hljs-deletion": {
    "color": "#ff8700"
  },
  "hljs-title": {
    "color": "#ff8700"
  },
  "hljs-attribute": {
    "color": "#ffd75f"
  },
  "hljs-function": {
    "color": "#ffd75f"
  },
  "hljs-name": {
    "color": "#ffd75f"
  },
  "hljs-property": {
    "color": "#ffd75f"
  },
  "hljs-section": {
    "color": "#ffd75f"
  },
  "hljs-type": {
    "color": "#ffd75f"
  },
  "hljs-addition": {
    "color": "#558b2f"
  },
  "hljs-bullet": {
    "color": "#558b2f"
  },
  "hljs-meta .hljs-string": {
    "color": "#558b2f"
  },
  "hljs-string": {
    "color": "#558b2f"
  },
  "hljs-subst": {
    "color": "#558b2f"
  },
  "hljs-symbol": {
    "color": "#558b2f"
  },
  "hljs-selector-tag": {
    "color": "#96f"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/docco.generated.ts
var docco = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#000",
    "background": "#f8f8ff"
  },
  "hljs-comment": {
    "color": "#408080",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#408080",
    "fontStyle": "italic"
  },
  "hljs-keyword": {
    "color": "#954121"
  },
  "hljs-literal": {
    "color": "#954121"
  },
  "hljs-selector-tag": {
    "color": "#954121"
  },
  "hljs-subst": {
    "color": "#954121"
  },
  "hljs-number": {
    "color": "#40a070"
  },
  "hljs-doctag": {
    "color": "#219161"
  },
  "hljs-string": {
    "color": "#219161"
  },
  "hljs-section": {
    "color": "#19469d"
  },
  "hljs-selector-class": {
    "color": "#19469d"
  },
  "hljs-selector-id": {
    "color": "#19469d"
  },
  "hljs-type": {
    "color": "#19469d"
  },
  "hljs-params": {
    "color": "#00f"
  },
  "hljs-title": {
    "color": "#458",
    "fontWeight": "700"
  },
  "hljs-attribute": {
    "color": "navy",
    "fontWeight": "400"
  },
  "hljs-name": {
    "color": "navy",
    "fontWeight": "400"
  },
  "hljs-tag": {
    "color": "navy",
    "fontWeight": "400"
  },
  "hljs-template-variable": {
    "color": "teal"
  },
  "hljs-variable": {
    "color": "teal"
  },
  "hljs-link": {
    "color": "#b68"
  },
  "hljs-regexp": {
    "color": "#b68"
  },
  "hljs-bullet": {
    "color": "#990073"
  },
  "hljs-symbol": {
    "color": "#990073"
  },
  "hljs-built_in": {
    "color": "#0086b3"
  },
  "hljs-meta": {
    "color": "#999",
    "fontWeight": "700"
  },
  "hljs-deletion": {
    "background": "#fdd"
  },
  "hljs-addition": {
    "background": "#dfd"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/far.generated.ts
var far = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#0ff",
    "background": "navy"
  },
  "hljs-addition": {
    "color": "#ff0"
  },
  "hljs-attribute": {
    "color": "#ff0"
  },
  "hljs-built_in": {
    "color": "#ff0"
  },
  "hljs-bullet": {
    "color": "#ff0"
  },
  "hljs-string": {
    "color": "#ff0"
  },
  "hljs-symbol": {
    "color": "#ff0"
  },
  "hljs-template-tag": {
    "color": "#ff0"
  },
  "hljs-template-variable": {
    "color": "#ff0"
  },
  "hljs-keyword": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-name": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-section": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-selector-class": {
    "color": "#fff"
  },
  "hljs-selector-id": {
    "color": "#fff"
  },
  "hljs-selector-tag": {
    "color": "#fff",
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#fff"
  },
  "hljs-variable": {
    "color": "#fff"
  },
  "hljs-comment": {
    "color": "#888"
  },
  "hljs-deletion": {
    "color": "#888"
  },
  "hljs-doctag": {
    "color": "#888"
  },
  "hljs-quote": {
    "color": "#888"
  },
  "hljs-link": {
    "color": "#0f0"
  },
  "hljs-literal": {
    "color": "#0f0"
  },
  "hljs-number": {
    "color": "#0f0"
  },
  "hljs-regexp": {
    "color": "#0f0"
  },
  "hljs-meta": {
    "color": "teal"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-title": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/felipec.generated.ts
var felipec = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#dddde1",
    "background": "#1e1e22"
  },
  "hljs ::selection": {
    "color": "#1e1e22",
    "background": "#bf8fef"
  },
  "hljs::selection": {
    "color": "#1e1e22",
    "background": "#bf8fef"
  },
  "hljs-code": {
    "color": "#888896"
  },
  "hljs-comment": {
    "color": "#888896"
  },
  "hljs-quote": {
    "color": "#888896"
  },
  "hljs-deletion": {
    "color": "#ef8f8f"
  },
  "hljs-literal": {
    "color": "#ef8f8f",
    "fontWeight": "700"
  },
  "hljs-number": {
    "color": "#ef8f8f"
  },
  "hljs-doctag": {
    "color": "#efbf8f"
  },
  "hljs-meta": {
    "color": "#efbf8f"
  },
  "hljs-operator": {
    "color": "#efbf8f"
  },
  "hljs-punctuation": {
    "color": "#efbf8f"
  },
  "hljs-selector-attr": {
    "color": "#efbf8f"
  },
  "hljs-subst": {
    "color": "#efbf8f"
  },
  "hljs-template-variable": {
    "color": "#efbf8f"
  },
  "hljs-type": {
    "color": "#efef8f"
  },
  "hljs-selector-class": {
    "color": "#bfef8f"
  },
  "hljs-selector-id": {
    "color": "#bfef8f"
  },
  "hljs-tag": {
    "color": "#bfef8f"
  },
  "hljs-title": {
    "color": "#bfef8f",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#8fef8f"
  },
  "hljs-regexp": {
    "color": "#8fef8f"
  },
  "hljs-string": {
    "color": "#8fef8f"
  },
  "hljs-class": {
    "color": "#8fefbf"
  },
  "hljs-property": {
    "color": "#8fefbf"
  },
  "hljs-name": {
    "color": "#8fefef"
  },
  "hljs-selector-tag": {
    "color": "#8fefef"
  },
  "hljs-built_in": {
    "color": "#8fbfef"
  },
  "hljs-keyword": {
    "color": "#8fbfef"
  },
  "hljs-bullet": {
    "color": "#8f8fef"
  },
  "hljs-section": {
    "color": "#8f8fef"
  },
  "hljs-selector-pseudo": {
    "color": "#bf8fef"
  },
  "hljs-attr": {
    "color": "#ef8fef"
  },
  "hljs-attribute": {
    "color": "#ef8fef"
  },
  "hljs-params": {
    "color": "#ef8fef"
  },
  "hljs-variable": {
    "color": "#ef8fef"
  },
  "hljs-link": {
    "color": "#ef8fbf"
  },
  "hljs-symbol": {
    "color": "#ef8fbf"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/foundation.generated.ts
var foundation = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#eee",
    "color": "#000"
  },
  "hljs-addition": {
    "color": "#070"
  },
  "hljs-attribute": {
    "color": "#070"
  },
  "hljs-emphasis": {
    "color": "#070",
    "fontStyle": "italic"
  },
  "hljs-link": {
    "color": "#070"
  },
  "hljs-deletion": {
    "color": "#d14"
  },
  "hljs-string": {
    "color": "#d14"
  },
  "hljs-strong": {
    "color": "#d14",
    "fontWeight": "700"
  },
  "hljs-comment": {
    "color": "#998",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#998",
    "fontStyle": "italic"
  },
  "hljs-section": {
    "color": "#900"
  },
  "hljs-title": {
    "color": "#900"
  },
  "hljs-class .hljs-title": {
    "color": "#458"
  },
  "hljs-title.class_": {
    "color": "#458"
  },
  "hljs-type": {
    "color": "#458"
  },
  "hljs-template-variable": {
    "color": "#369"
  },
  "hljs-variable": {
    "color": "#369"
  },
  "hljs-bullet": {
    "color": "#970"
  },
  "hljs-meta": {
    "color": "#34b"
  },
  "hljs-code": {
    "color": "#099"
  },
  "hljs-keyword": {
    "color": "#099"
  },
  "hljs-literal": {
    "color": "#099"
  },
  "hljs-number": {
    "color": "#099"
  },
  "hljs-selector-tag": {
    "color": "#099"
  },
  "hljs-regexp": {
    "backgroundColor": "#fff0ff",
    "color": "#808"
  },
  "hljs-symbol": {
    "color": "#990073"
  },
  "hljs-name": {
    "color": "#070"
  },
  "hljs-selector-class": {
    "color": "#070"
  },
  "hljs-selector-id": {
    "color": "#070"
  },
  "hljs-tag": {
    "color": "#070"
  }
};

// src/lib/styles/githubDarkDimmed.generated.ts
var githubDarkDimmed = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#adbac7",
    "background": "#22272e"
  },
  "hljs-doctag": {
    "color": "#f47067"
  },
  "hljs-keyword": {
    "color": "#f47067"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#f47067"
  },
  "hljs-template-tag": {
    "color": "#f47067"
  },
  "hljs-template-variable": {
    "color": "#f47067"
  },
  "hljs-type": {
    "color": "#f47067"
  },
  "hljs-variable.language_": {
    "color": "#f47067"
  },
  "hljs-title": {
    "color": "#dcbdfb"
  },
  "hljs-title.class_": {
    "color": "#dcbdfb"
  },
  "hljs-title.class_.inherited__": {
    "color": "#dcbdfb"
  },
  "hljs-title.function_": {
    "color": "#dcbdfb"
  },
  "hljs-attr": {
    "color": "#6cb6ff"
  },
  "hljs-attribute": {
    "color": "#6cb6ff"
  },
  "hljs-literal": {
    "color": "#6cb6ff"
  },
  "hljs-meta": {
    "color": "#6cb6ff"
  },
  "hljs-number": {
    "color": "#6cb6ff"
  },
  "hljs-operator": {
    "color": "#6cb6ff"
  },
  "hljs-selector-attr": {
    "color": "#6cb6ff"
  },
  "hljs-selector-class": {
    "color": "#6cb6ff"
  },
  "hljs-selector-id": {
    "color": "#6cb6ff"
  },
  "hljs-variable": {
    "color": "#6cb6ff"
  },
  "hljs-meta .hljs-string": {
    "color": "#96d0ff"
  },
  "hljs-regexp": {
    "color": "#96d0ff"
  },
  "hljs-string": {
    "color": "#96d0ff"
  },
  "hljs-built_in": {
    "color": "#f69d50"
  },
  "hljs-symbol": {
    "color": "#f69d50"
  },
  "hljs-code": {
    "color": "#768390"
  },
  "hljs-comment": {
    "color": "#768390"
  },
  "hljs-formula": {
    "color": "#768390"
  },
  "hljs-name": {
    "color": "#8ddb8c"
  },
  "hljs-quote": {
    "color": "#8ddb8c"
  },
  "hljs-selector-pseudo": {
    "color": "#8ddb8c"
  },
  "hljs-selector-tag": {
    "color": "#8ddb8c"
  },
  "hljs-subst": {
    "color": "#adbac7"
  },
  "hljs-section": {
    "color": "#316dca",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#eac55f"
  },
  "hljs-emphasis": {
    "color": "#adbac7",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#adbac7",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#b4f1b4",
    "backgroundColor": "#1b4721"
  },
  "hljs-deletion": {
    "color": "#ffd8d3",
    "backgroundColor": "#78191b"
  }
};

// src/lib/styles/githubDark.generated.ts
var githubDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#c9d1d9",
    "background": "#0d1117"
  },
  "hljs-doctag": {
    "color": "#ff7b72"
  },
  "hljs-keyword": {
    "color": "#ff7b72"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#ff7b72"
  },
  "hljs-template-tag": {
    "color": "#ff7b72"
  },
  "hljs-template-variable": {
    "color": "#ff7b72"
  },
  "hljs-type": {
    "color": "#ff7b72"
  },
  "hljs-variable.language_": {
    "color": "#ff7b72"
  },
  "hljs-title": {
    "color": "#d2a8ff"
  },
  "hljs-title.class_": {
    "color": "#d2a8ff"
  },
  "hljs-title.class_.inherited__": {
    "color": "#d2a8ff"
  },
  "hljs-title.function_": {
    "color": "#d2a8ff"
  },
  "hljs-attr": {
    "color": "#79c0ff"
  },
  "hljs-attribute": {
    "color": "#79c0ff"
  },
  "hljs-literal": {
    "color": "#79c0ff"
  },
  "hljs-meta": {
    "color": "#79c0ff"
  },
  "hljs-number": {
    "color": "#79c0ff"
  },
  "hljs-operator": {
    "color": "#79c0ff"
  },
  "hljs-selector-attr": {
    "color": "#79c0ff"
  },
  "hljs-selector-class": {
    "color": "#79c0ff"
  },
  "hljs-selector-id": {
    "color": "#79c0ff"
  },
  "hljs-variable": {
    "color": "#79c0ff"
  },
  "hljs-meta .hljs-string": {
    "color": "#a5d6ff"
  },
  "hljs-regexp": {
    "color": "#a5d6ff"
  },
  "hljs-string": {
    "color": "#a5d6ff"
  },
  "hljs-built_in": {
    "color": "#ffa657"
  },
  "hljs-symbol": {
    "color": "#ffa657"
  },
  "hljs-code": {
    "color": "#8b949e"
  },
  "hljs-comment": {
    "color": "#8b949e"
  },
  "hljs-formula": {
    "color": "#8b949e"
  },
  "hljs-name": {
    "color": "#7ee787"
  },
  "hljs-quote": {
    "color": "#7ee787"
  },
  "hljs-selector-pseudo": {
    "color": "#7ee787"
  },
  "hljs-selector-tag": {
    "color": "#7ee787"
  },
  "hljs-subst": {
    "color": "#c9d1d9"
  },
  "hljs-section": {
    "color": "#1f6feb",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#f2cc60"
  },
  "hljs-emphasis": {
    "color": "#c9d1d9",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#c9d1d9",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#aff5b4",
    "backgroundColor": "#033a16"
  },
  "hljs-deletion": {
    "color": "#ffdcd7",
    "backgroundColor": "#67060c"
  }
};

// src/lib/styles/github.generated.ts
var github = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#24292e",
    "background": "#fff"
  },
  "hljs-doctag": {
    "color": "#d73a49"
  },
  "hljs-keyword": {
    "color": "#d73a49"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#d73a49"
  },
  "hljs-template-tag": {
    "color": "#d73a49"
  },
  "hljs-template-variable": {
    "color": "#d73a49"
  },
  "hljs-type": {
    "color": "#d73a49"
  },
  "hljs-variable.language_": {
    "color": "#d73a49"
  },
  "hljs-title": {
    "color": "#6f42c1"
  },
  "hljs-title.class_": {
    "color": "#6f42c1"
  },
  "hljs-title.class_.inherited__": {
    "color": "#6f42c1"
  },
  "hljs-title.function_": {
    "color": "#6f42c1"
  },
  "hljs-attr": {
    "color": "#005cc5"
  },
  "hljs-attribute": {
    "color": "#005cc5"
  },
  "hljs-literal": {
    "color": "#005cc5"
  },
  "hljs-meta": {
    "color": "#005cc5"
  },
  "hljs-number": {
    "color": "#005cc5"
  },
  "hljs-operator": {
    "color": "#005cc5"
  },
  "hljs-selector-attr": {
    "color": "#005cc5"
  },
  "hljs-selector-class": {
    "color": "#005cc5"
  },
  "hljs-selector-id": {
    "color": "#005cc5"
  },
  "hljs-variable": {
    "color": "#005cc5"
  },
  "hljs-meta .hljs-string": {
    "color": "#032f62"
  },
  "hljs-regexp": {
    "color": "#032f62"
  },
  "hljs-string": {
    "color": "#032f62"
  },
  "hljs-built_in": {
    "color": "#e36209"
  },
  "hljs-symbol": {
    "color": "#e36209"
  },
  "hljs-code": {
    "color": "#6a737d"
  },
  "hljs-comment": {
    "color": "#6a737d"
  },
  "hljs-formula": {
    "color": "#6a737d"
  },
  "hljs-name": {
    "color": "#22863a"
  },
  "hljs-quote": {
    "color": "#22863a"
  },
  "hljs-selector-pseudo": {
    "color": "#22863a"
  },
  "hljs-selector-tag": {
    "color": "#22863a"
  },
  "hljs-subst": {
    "color": "#24292e"
  },
  "hljs-section": {
    "color": "#005cc5",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#735c0f"
  },
  "hljs-emphasis": {
    "color": "#24292e",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#24292e",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#22863a",
    "backgroundColor": "#f0fff4"
  },
  "hljs-deletion": {
    "color": "#b31d28",
    "backgroundColor": "#ffeef0"
  }
};

// src/lib/styles/gml.generated.ts
var gml2 = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#222",
    "color": "silver"
  },
  "hljs-keyword": {
    "color": "#ffb871",
    "fontWeight": "700"
  },
  "hljs-built_in": {
    "color": "#ffb871"
  },
  "hljs-literal": {
    "color": "#ff8080"
  },
  "hljs-symbol": {
    "color": "#58e55a"
  },
  "hljs-comment": {
    "color": "#5b995b"
  },
  "hljs-string": {
    "color": "#ff0"
  },
  "hljs-number": {
    "color": "#ff8080"
  },
  "hljs-addition": {
    "color": "silver"
  },
  "hljs-attribute": {
    "color": "silver"
  },
  "hljs-bullet": {
    "color": "silver"
  },
  "hljs-code": {
    "color": "silver"
  },
  "hljs-deletion": {
    "color": "silver"
  },
  "hljs-doctag": {
    "color": "silver"
  },
  "hljs-function": {
    "color": "silver"
  },
  "hljs-link": {
    "color": "silver"
  },
  "hljs-meta": {
    "color": "silver"
  },
  "hljs-meta .hljs-keyword": {
    "color": "silver"
  },
  "hljs-name": {
    "color": "silver"
  },
  "hljs-quote": {
    "color": "silver"
  },
  "hljs-regexp": {
    "color": "silver"
  },
  "hljs-section": {
    "color": "silver"
  },
  "hljs-selector-attr": {
    "color": "silver"
  },
  "hljs-selector-class": {
    "color": "silver"
  },
  "hljs-selector-id": {
    "color": "silver"
  },
  "hljs-selector-pseudo": {
    "color": "silver"
  },
  "hljs-selector-tag": {
    "color": "silver"
  },
  "hljs-subst": {
    "color": "silver"
  },
  "hljs-template-tag": {
    "color": "silver"
  },
  "hljs-template-variable": {
    "color": "silver"
  },
  "hljs-title": {
    "color": "silver"
  },
  "hljs-type": {
    "color": "silver"
  },
  "hljs-variable": {
    "color": "silver"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/googlecode.generated.ts
var googlecode = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#000"
  },
  "hljs-comment": {
    "color": "#800"
  },
  "hljs-quote": {
    "color": "#800"
  },
  "hljs-keyword": {
    "color": "#008"
  },
  "hljs-name": {
    "color": "#008"
  },
  "hljs-section": {
    "color": "#008"
  },
  "hljs-selector-tag": {
    "color": "#008"
  },
  "hljs-title": {
    "color": "#606"
  },
  "hljs-template-variable": {
    "color": "#660"
  },
  "hljs-variable": {
    "color": "#660"
  },
  "hljs-regexp": {
    "color": "#080"
  },
  "hljs-selector-attr": {
    "color": "#080"
  },
  "hljs-selector-pseudo": {
    "color": "#080"
  },
  "hljs-string": {
    "color": "#080"
  },
  "hljs-bullet": {
    "color": "#066"
  },
  "hljs-link": {
    "color": "#066"
  },
  "hljs-literal": {
    "color": "#066"
  },
  "hljs-meta": {
    "color": "#066"
  },
  "hljs-number": {
    "color": "#066"
  },
  "hljs-symbol": {
    "color": "#066"
  },
  "hljs-attr": {
    "color": "#606"
  },
  "hljs-built_in": {
    "color": "#606"
  },
  "hljs-doctag": {
    "color": "#606",
    "fontWeight": "700"
  },
  "hljs-params": {
    "color": "#606"
  },
  "hljs-type": {
    "color": "#606"
  },
  "hljs-attribute": {
    "color": "#000"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-formula": {
    "backgroundColor": "#eee",
    "fontStyle": "italic"
  },
  "hljs-selector-class": {
    "color": "#9b703f"
  },
  "hljs-selector-id": {
    "color": "#9b703f"
  },
  "hljs-addition": {
    "backgroundColor": "#baeeba"
  },
  "hljs-deletion": {
    "backgroundColor": "#ffc8bd"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/gradientDark.generated.ts
var gradientDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "backgroundColor": "#652487",
    "backgroundImage": "linear-gradient(160deg,#652487 0,#443ac3 35%,#0174b7 68%,#04988e 100%)",
    "color": "#e7e4eb"
  },
  "hljs-subtr": {
    "color": "#e7e4eb"
  },
  "hljs-comment": {
    "color": "#af8dd9"
  },
  "hljs-doctag": {
    "color": "#af8dd9"
  },
  "hljs-meta": {
    "color": "#af8dd9"
  },
  "hljs-quote": {
    "color": "#af8dd9",
    "fontStyle": "italic"
  },
  "hljs-attr": {
    "color": "#aefbff"
  },
  "hljs-regexp": {
    "color": "#aefbff"
  },
  "hljs-selector-id": {
    "color": "#aefbff",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#aefbff",
    "fontWeight": "700"
  },
  "hljs-tag": {
    "color": "#aefbff"
  },
  "hljs-template-tag": {
    "color": "#aefbff",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#f19fff"
  },
  "hljs-params": {
    "color": "#f19fff",
    "fontWeight": "700"
  },
  "hljs-selector-class": {
    "color": "#f19fff",
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "color": "#17fc95",
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#17fc95"
  },
  "hljs-section": {
    "color": "#17fc95",
    "fontWeight": "700"
  },
  "hljs-symbol": {
    "color": "#17fc95"
  },
  "hljs-type": {
    "color": "#17fc95"
  },
  "hljs-addition": {
    "color": "#e7ff9f"
  },
  "hljs-link": {
    "color": "#c5fe00"
  },
  "hljs-number": {
    "color": "#c5fe00"
  },
  "hljs-string": {
    "color": "#38c0ff"
  },
  "hljs-attribute": {
    "color": "#e7ff9f"
  },
  "hljs-template-variable": {
    "color": "#e447ff"
  },
  "hljs-variable": {
    "color": "#e447ff"
  },
  "hljs-built_in": {
    "color": "#ffc800"
  },
  "hljs-class": {
    "color": "#ffc800"
  },
  "hljs-formula": {
    "color": "#ffc800"
  },
  "hljs-function": {
    "color": "#ffc800"
  },
  "hljs-name": {
    "color": "#ffc800"
  },
  "hljs-title": {
    "color": "#ffc800"
  },
  "hljs-deletion": {
    "color": "#ff9e44"
  },
  "hljs-literal": {
    "color": "#ff9e44"
  },
  "hljs-selector-pseudo": {
    "color": "#ff9e44"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/gradientLight.generated.ts
var gradientLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "backgroundColor": "#f9ccff",
    "backgroundImage": "linear-gradient(295deg,#f9ccff 0,#e6bbf9 11%,#9ec6f9 32%,#55e6ee 60%,#91f5d1 74%,#f9ffbf 98%)",
    "color": "#250482"
  },
  "hljs-subtr": {
    "color": "#01958b"
  },
  "hljs-comment": {
    "color": "#cb7200"
  },
  "hljs-doctag": {
    "color": "#cb7200"
  },
  "hljs-meta": {
    "color": "#cb7200"
  },
  "hljs-quote": {
    "color": "#cb7200",
    "fontStyle": "italic"
  },
  "hljs-attr": {
    "color": "#07bd5f"
  },
  "hljs-regexp": {
    "color": "#07bd5f"
  },
  "hljs-selector-id": {
    "color": "#07bd5f",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#07bd5f",
    "fontWeight": "700"
  },
  "hljs-tag": {
    "color": "#07bd5f"
  },
  "hljs-template-tag": {
    "color": "#07bd5f",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#43449f"
  },
  "hljs-params": {
    "color": "#43449f",
    "fontWeight": "700"
  },
  "hljs-selector-class": {
    "color": "#43449f",
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "color": "#7d2801",
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#7d2801"
  },
  "hljs-section": {
    "color": "#7d2801",
    "fontWeight": "700"
  },
  "hljs-symbol": {
    "color": "#7d2801"
  },
  "hljs-type": {
    "color": "#7d2801"
  },
  "hljs-addition": {
    "color": "#296562"
  },
  "hljs-link": {
    "color": "#7f0096"
  },
  "hljs-number": {
    "color": "#7f0096"
  },
  "hljs-string": {
    "color": "#2681ab"
  },
  "hljs-attribute": {
    "color": "#296562"
  },
  "hljs-template-variable": {
    "color": "#025c8f"
  },
  "hljs-variable": {
    "color": "#025c8f"
  },
  "hljs-built_in": {
    "color": "#529117"
  },
  "hljs-class": {
    "color": "#529117"
  },
  "hljs-formula": {
    "color": "#529117"
  },
  "hljs-function": {
    "color": "#529117"
  },
  "hljs-name": {
    "color": "#529117"
  },
  "hljs-title": {
    "color": "#529117"
  },
  "hljs-deletion": {
    "color": "#ad13ff"
  },
  "hljs-literal": {
    "color": "#ad13ff"
  },
  "hljs-selector-pseudo": {
    "color": "#ad13ff"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/grayscale.generated.ts
var grayscale = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#333",
    "background": "#fff"
  },
  "hljs-comment": {
    "color": "#777",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#777",
    "fontStyle": "italic"
  },
  "hljs-keyword": {
    "color": "#333",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#333",
    "fontWeight": "700"
  },
  "hljs-subst": {
    "color": "#333",
    "fontWeight": "400"
  },
  "hljs-literal": {
    "color": "#777"
  },
  "hljs-number": {
    "color": "#777"
  },
  "hljs-doctag": {
    "color": "#333",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAAJ0lEQVQIW2O8e/fufwYGBgZBQUEQxcCIIfDu3Tuwivfv30NUoAsAALHpFMMLqZlPAAAAAElFTkSuQmCC)"
  },
  "hljs-formula": {
    "color": "#333",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAAJ0lEQVQIW2O8e/fufwYGBgZBQUEQxcCIIfDu3Tuwivfv30NUoAsAALHpFMMLqZlPAAAAAElFTkSuQmCC)"
  },
  "hljs-string": {
    "color": "#333",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAECAYAAACp8Z5+AAAAJ0lEQVQIW2O8e/fufwYGBgZBQUEQxcCIIfDu3Tuwivfv30NUoAsAALHpFMMLqZlPAAAAAElFTkSuQmCC)"
  },
  "hljs-section": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-selector-id": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-class .hljs-title": {
    "color": "#333",
    "fontWeight": "700"
  },
  "hljs-name": {
    "color": "#333",
    "fontWeight": "700"
  },
  "hljs-title.class_": {
    "color": "#333",
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#333",
    "fontWeight": "700"
  },
  "hljs-tag": {
    "color": "#333"
  },
  "hljs-regexp": {
    "color": "#333",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAICAYAAADA+m62AAAAPUlEQVQYV2NkQAN37979r6yszIgujiIAU4RNMVwhuiQ6H6wQl3XI4oy4FMHcCJPHcDS6J2A2EqUQpJhohQDexSef15DBCwAAAABJRU5ErkJggg==)"
  },
  "hljs-bullet": {
    "color": "#000",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAKElEQVQIW2NkQAO7d+/+z4gsBhJwdXVlhAvCBECKwIIwAbhKZBUwBQA6hBpm5efZsgAAAABJRU5ErkJggg==)"
  },
  "hljs-link": {
    "color": "#000",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAKElEQVQIW2NkQAO7d+/+z4gsBhJwdXVlhAvCBECKwIIwAbhKZBUwBQA6hBpm5efZsgAAAABJRU5ErkJggg==)"
  },
  "hljs-symbol": {
    "color": "#000",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAKElEQVQIW2NkQAO7d+/+z4gsBhJwdXVlhAvCBECKwIIwAbhKZBUwBQA6hBpm5efZsgAAAABJRU5ErkJggg==)"
  },
  "hljs-built_in": {
    "color": "#000",
    "textDecoration": "underline"
  },
  "hljs-meta": {
    "color": "#999",
    "fontWeight": "700"
  },
  "hljs-deletion": {
    "color": "#fff",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAADCAYAAABS3WWCAAAAE0lEQVQIW2MMDQ39zzhz5kwIAQAyxweWgUHd1AAAAABJRU5ErkJggg==)"
  },
  "hljs-addition": {
    "color": "#000",
    "background": "url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAAJCAYAAADgkQYQAAAALUlEQVQYV2N89+7dfwYk8P79ewZBQUFkIQZGOiu6e/cuiptQHAPl0NtNxAQBAM97Oejj3Dg7AAAAAElFTkSuQmCC)"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/hybrid.generated.ts
var hybrid = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#1d1f21",
    "color": "#c5c8c6"
  },
  "hljs span::selection": {
    "background": "#373b41"
  },
  "hljs::selection": {
    "background": "#373b41"
  },
  "hljs span::-moz-selection": {
    "background": "#373b41"
  },
  "hljs::-moz-selection": {
    "background": "#373b41"
  },
  "hljs-name": {
    "color": "#f0c674"
  },
  "hljs-title": {
    "color": "#f0c674"
  },
  "hljs-comment": {
    "color": "#707880"
  },
  "hljs-meta": {
    "color": "#707880"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#707880"
  },
  "hljs-deletion": {
    "color": "#c66"
  },
  "hljs-link": {
    "color": "#c66"
  },
  "hljs-literal": {
    "color": "#c66"
  },
  "hljs-number": {
    "color": "#c66"
  },
  "hljs-symbol": {
    "color": "#c66"
  },
  "hljs-addition": {
    "color": "#b5bd68"
  },
  "hljs-doctag": {
    "color": "#b5bd68"
  },
  "hljs-regexp": {
    "color": "#b5bd68"
  },
  "hljs-selector-attr": {
    "color": "#b5bd68"
  },
  "hljs-selector-pseudo": {
    "color": "#b5bd68"
  },
  "hljs-string": {
    "color": "#b5bd68"
  },
  "hljs-attribute": {
    "color": "#b294bb"
  },
  "hljs-code": {
    "color": "#b294bb"
  },
  "hljs-selector-id": {
    "color": "#b294bb"
  },
  "hljs-bullet": {
    "color": "#81a2be"
  },
  "hljs-keyword": {
    "color": "#81a2be"
  },
  "hljs-selector-tag": {
    "color": "#81a2be"
  },
  "hljs-tag": {
    "color": "#81a2be"
  },
  "hljs-subst": {
    "color": "#8abeb7"
  },
  "hljs-template-tag": {
    "color": "#8abeb7"
  },
  "hljs-template-variable": {
    "color": "#8abeb7"
  },
  "hljs-variable": {
    "color": "#8abeb7"
  },
  "hljs-built_in": {
    "color": "#de935f"
  },
  "hljs-quote": {
    "color": "#de935f"
  },
  "hljs-section": {
    "color": "#de935f"
  },
  "hljs-selector-class": {
    "color": "#de935f"
  },
  "hljs-type": {
    "color": "#de935f"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/idea.generated.ts
var idea = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#000",
    "background": "#fff"
  },
  "hljs-subst": {
    "fontWeight": "400",
    "color": "#000"
  },
  "hljs-title": {
    "fontWeight": "400",
    "color": "#000"
  },
  "hljs-comment": {
    "color": "grey",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "grey",
    "fontStyle": "italic"
  },
  "hljs-meta": {
    "color": "olive"
  },
  "hljs-tag": {
    "background": "#efefef"
  },
  "hljs-keyword": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-literal": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-name": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-section": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-selector-class": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-selector-id": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-selector-tag": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-type": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-attribute": {
    "fontWeight": "700",
    "color": "#00f"
  },
  "hljs-link": {
    "fontWeight": "400",
    "color": "#00f"
  },
  "hljs-number": {
    "fontWeight": "400",
    "color": "#00f"
  },
  "hljs-regexp": {
    "fontWeight": "400",
    "color": "#00f"
  },
  "hljs-string": {
    "color": "green",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#000",
    "background": "#d0eded",
    "fontStyle": "italic"
  },
  "hljs-formula": {
    "color": "#000",
    "background": "#d0eded",
    "fontStyle": "italic"
  },
  "hljs-symbol": {
    "color": "#000",
    "background": "#d0eded",
    "fontStyle": "italic"
  },
  "hljs-doctag": {
    "textDecoration": "underline"
  },
  "hljs-template-variable": {
    "color": "#660e7a"
  },
  "hljs-variable": {
    "color": "#660e7a"
  },
  "hljs-addition": {
    "background": "#baeeba"
  },
  "hljs-deletion": {
    "background": "#ffc8bd"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/intellijLight.generated.ts
var intellijLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#000",
    "background": "#fff"
  },
  "hljs-subst": {
    "fontWeight": "400",
    "color": "#000"
  },
  "hljs-title": {
    "fontWeight": "400",
    "color": "#000"
  },
  "hljs-title.function_": {
    "color": "#7a7a43"
  },
  "hljs-code": {
    "color": "#8c8c8c",
    "fontStyle": "italic"
  },
  "hljs-comment": {
    "color": "#8c8c8c",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#8c8c8c",
    "fontStyle": "italic"
  },
  "hljs-meta": {
    "color": "#9e880d"
  },
  "hljs-section": {
    "color": "#871094"
  },
  "hljs-built_in": {
    "color": "#0033b3"
  },
  "hljs-keyword": {
    "color": "#0033b3"
  },
  "hljs-literal": {
    "color": "#0033b3"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#0033b3"
  },
  "hljs-name": {
    "color": "#0033b3"
  },
  "hljs-selector-attr": {
    "color": "#0033b3"
  },
  "hljs-selector-class": {
    "color": "#0033b3"
  },
  "hljs-selector-id": {
    "color": "#0033b3"
  },
  "hljs-selector-pseudo": {
    "color": "#0033b3"
  },
  "hljs-selector-tag": {
    "color": "#0033b3"
  },
  "hljs-symbol": {
    "color": "#0033b3"
  },
  "hljs-template-tag": {
    "color": "#0033b3"
  },
  "hljs-type": {
    "color": "#0033b3"
  },
  "hljs-variable.language_": {
    "color": "#0033b3"
  },
  "hljs-attr": {
    "color": "#871094"
  },
  "hljs-property": {
    "color": "#871094"
  },
  "hljs-attribute": {
    "color": "#174ad4"
  },
  "hljs-number": {
    "color": "#1750eb"
  },
  "hljs-regexp": {
    "color": "#264eff"
  },
  "hljs-link": {
    "textDecoration": "underline",
    "color": "#006dcc"
  },
  "hljs-meta .hljs-string": {
    "color": "#067d17"
  },
  "hljs-string": {
    "color": "#067d17"
  },
  "hljs-char.escape_": {
    "color": "#0037a6"
  },
  "hljs-doctag": {
    "textDecoration": "underline"
  },
  "hljs-template-variable": {
    "color": "#248f8f"
  },
  "hljs-addition": {
    "background": "#bee6be"
  },
  "hljs-deletion": {
    "background": "#d6d6d6"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/irBlack.generated.ts
var irBlack = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#000",
    "color": "#f8f8f8"
  },
  "hljs-comment": {
    "color": "#7c7c7c"
  },
  "hljs-meta": {
    "color": "#7c7c7c"
  },
  "hljs-quote": {
    "color": "#7c7c7c"
  },
  "hljs-keyword": {
    "color": "#96cbfe"
  },
  "hljs-name": {
    "color": "#96cbfe"
  },
  "hljs-selector-tag": {
    "color": "#96cbfe"
  },
  "hljs-tag": {
    "color": "#96cbfe"
  },
  "hljs-attribute": {
    "color": "#ffffb6"
  },
  "hljs-selector-id": {
    "color": "#ffffb6"
  },
  "hljs-addition": {
    "color": "#a8ff60"
  },
  "hljs-selector-attr": {
    "color": "#a8ff60"
  },
  "hljs-selector-pseudo": {
    "color": "#a8ff60"
  },
  "hljs-string": {
    "color": "#a8ff60"
  },
  "hljs-subst": {
    "color": "#daefa3"
  },
  "hljs-link": {
    "color": "#e9c062"
  },
  "hljs-regexp": {
    "color": "#e9c062"
  },
  "hljs-doctag": {
    "color": "#ffffb6"
  },
  "hljs-section": {
    "color": "#ffffb6"
  },
  "hljs-title": {
    "color": "#ffffb6"
  },
  "hljs-type": {
    "color": "#ffffb6"
  },
  "hljs-bullet": {
    "color": "#c6c5fe"
  },
  "hljs-literal": {
    "color": "#c6c5fe"
  },
  "hljs-symbol": {
    "color": "#c6c5fe"
  },
  "hljs-template-variable": {
    "color": "#c6c5fe"
  },
  "hljs-variable": {
    "color": "#c6c5fe"
  },
  "hljs-deletion": {
    "color": "#ff73fd"
  },
  "hljs-number": {
    "color": "#ff73fd"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/isblEditorDark.generated.ts
var isblEditorDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#404040",
    "color": "#f0f0f0"
  },
  "hljs-subst": {
    "color": "#f0f0f0"
  },
  "hljs-comment": {
    "color": "#b5b5b5",
    "fontStyle": "italic"
  },
  "hljs-attribute": {
    "color": "#f0f0f0",
    "fontWeight": "700"
  },
  "hljs-doctag": {
    "color": "#f0f0f0",
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "color": "#f0f0f0",
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#f0f0f0",
    "fontWeight": "700"
  },
  "hljs-name": {
    "color": "#f0f0f0",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#f0f0f0",
    "fontWeight": "700"
  },
  "hljs-string": {
    "color": "#97bf0d"
  },
  "hljs-deletion": {
    "color": "#f0f0f0"
  },
  "hljs-number": {
    "color": "#f0f0f0"
  },
  "hljs-quote": {
    "color": "#f0f0f0"
  },
  "hljs-selector-class": {
    "color": "#f0f0f0"
  },
  "hljs-selector-id": {
    "color": "#f0f0f0"
  },
  "hljs-template-tag": {
    "color": "#f0f0f0"
  },
  "hljs-type": {
    "color": "#f0f0f0"
  },
  "hljs-link": {
    "color": "#e2c696"
  },
  "hljs-regexp": {
    "color": "#e2c696"
  },
  "hljs-selector-attr": {
    "color": "#e2c696"
  },
  "hljs-selector-pseudo": {
    "color": "#e2c696"
  },
  "hljs-symbol": {
    "color": "#e2c696"
  },
  "hljs-template-variable": {
    "color": "#e2c696"
  },
  "hljs-variable": {
    "color": "#e2c696"
  },
  "hljs-built_in": {
    "color": "#97bf0d",
    "fontWeight": "700"
  },
  "hljs-literal": {
    "color": "#97bf0d",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#397300"
  },
  "hljs-bullet": {
    "color": "#397300"
  },
  "hljs-code": {
    "color": "#397300"
  },
  "hljs-class": {
    "color": "#ce9d4d",
    "fontWeight": "700"
  },
  "hljs-section": {
    "color": "#df471e"
  },
  "hljs-title": {
    "color": "#df471e"
  },
  "hljs-title>.hljs-built_in": {
    "color": "#81bce9",
    "fontWeight": "400"
  },
  "hljs-meta": {
    "color": "#1f7199"
  },
  "hljs-meta .hljs-string": {
    "color": "#4d99bf"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/isblEditorLight.generated.ts
var isblEditorLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#000"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-comment": {
    "color": "#555",
    "fontStyle": "italic"
  },
  "hljs-attribute": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-doctag": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-name": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-string": {
    "color": "navy"
  },
  "hljs-deletion": {
    "color": "#000"
  },
  "hljs-number": {
    "color": "#000"
  },
  "hljs-quote": {
    "color": "#000"
  },
  "hljs-selector-class": {
    "color": "#000"
  },
  "hljs-selector-id": {
    "color": "#000"
  },
  "hljs-template-tag": {
    "color": "#000"
  },
  "hljs-type": {
    "color": "#000"
  },
  "hljs-link": {
    "color": "#5e1700"
  },
  "hljs-regexp": {
    "color": "#5e1700"
  },
  "hljs-selector-attr": {
    "color": "#5e1700"
  },
  "hljs-selector-pseudo": {
    "color": "#5e1700"
  },
  "hljs-symbol": {
    "color": "#5e1700"
  },
  "hljs-template-variable": {
    "color": "#5e1700"
  },
  "hljs-variable": {
    "color": "#5e1700"
  },
  "hljs-built_in": {
    "color": "navy",
    "fontWeight": "700"
  },
  "hljs-literal": {
    "color": "navy",
    "fontWeight": "700"
  },
  "hljs-addition": {
    "color": "#397300"
  },
  "hljs-bullet": {
    "color": "#397300"
  },
  "hljs-code": {
    "color": "#397300"
  },
  "hljs-class": {
    "color": "#6f1c00",
    "fontWeight": "700"
  },
  "hljs-section": {
    "color": "#fb2c00"
  },
  "hljs-title": {
    "color": "#fb2c00"
  },
  "hljs-title>.hljs-built_in": {
    "color": "teal",
    "fontWeight": "400"
  },
  "hljs-meta": {
    "color": "#1f7199"
  },
  "hljs-meta .hljs-string": {
    "color": "#4d99bf"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/kimbieDark.generated.ts
var kimbieDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#221a0f",
    "color": "#d3af86"
  },
  "hljs-comment": {
    "color": "#d6baad"
  },
  "hljs-quote": {
    "color": "#d6baad"
  },
  "hljs-meta": {
    "color": "#dc3958"
  },
  "hljs-name": {
    "color": "#dc3958"
  },
  "hljs-regexp": {
    "color": "#dc3958"
  },
  "hljs-selector-class": {
    "color": "#dc3958"
  },
  "hljs-selector-id": {
    "color": "#dc3958"
  },
  "hljs-tag": {
    "color": "#dc3958"
  },
  "hljs-template-variable": {
    "color": "#dc3958"
  },
  "hljs-variable": {
    "color": "#dc3958"
  },
  "hljs-built_in": {
    "color": "#f79a32"
  },
  "hljs-deletion": {
    "color": "#f79a32"
  },
  "hljs-link": {
    "color": "#f79a32"
  },
  "hljs-literal": {
    "color": "#f79a32"
  },
  "hljs-number": {
    "color": "#f79a32"
  },
  "hljs-params": {
    "color": "#f79a32"
  },
  "hljs-type": {
    "color": "#f79a32"
  },
  "hljs-addition": {
    "color": "#889b4a"
  },
  "hljs-bullet": {
    "color": "#889b4a"
  },
  "hljs-string": {
    "color": "#889b4a"
  },
  "hljs-symbol": {
    "color": "#889b4a"
  },
  "hljs-function": {
    "color": "#98676a"
  },
  "hljs-keyword": {
    "color": "#98676a"
  },
  "hljs-selector-tag": {
    "color": "#98676a"
  },
  "hljs-attribute": {
    "color": "#f06431"
  },
  "hljs-section": {
    "color": "#f06431"
  },
  "hljs-title": {
    "color": "#f06431"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/kimbieLight.generated.ts
var kimbieLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fbebd4",
    "color": "#84613d"
  },
  "hljs-comment": {
    "color": "#a57a4c"
  },
  "hljs-quote": {
    "color": "#a57a4c"
  },
  "hljs-meta": {
    "color": "#dc3958"
  },
  "hljs-name": {
    "color": "#dc3958"
  },
  "hljs-regexp": {
    "color": "#dc3958"
  },
  "hljs-selector-class": {
    "color": "#dc3958"
  },
  "hljs-selector-id": {
    "color": "#dc3958"
  },
  "hljs-tag": {
    "color": "#dc3958"
  },
  "hljs-template-variable": {
    "color": "#dc3958"
  },
  "hljs-variable": {
    "color": "#dc3958"
  },
  "hljs-built_in": {
    "color": "#f79a32"
  },
  "hljs-deletion": {
    "color": "#f79a32"
  },
  "hljs-link": {
    "color": "#f79a32"
  },
  "hljs-literal": {
    "color": "#f79a32"
  },
  "hljs-number": {
    "color": "#f79a32"
  },
  "hljs-params": {
    "color": "#f79a32"
  },
  "hljs-type": {
    "color": "#f79a32"
  },
  "hljs-addition": {
    "color": "#889b4a"
  },
  "hljs-bullet": {
    "color": "#889b4a"
  },
  "hljs-string": {
    "color": "#889b4a"
  },
  "hljs-symbol": {
    "color": "#889b4a"
  },
  "hljs-function": {
    "color": "#98676a"
  },
  "hljs-keyword": {
    "color": "#98676a"
  },
  "hljs-selector-tag": {
    "color": "#98676a"
  },
  "hljs-attribute": {
    "color": "#f06431"
  },
  "hljs-section": {
    "color": "#f06431"
  },
  "hljs-title": {
    "color": "#f06431"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/lightfair.generated.ts
var lightfair = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#444",
    "background": "#fff"
  },
  "hljs-name": {
    "color": "#01a3a3",
    "fontWeight": "700"
  },
  "hljs-meta": {
    "color": "#789"
  },
  "hljs-tag": {
    "color": "#789"
  },
  "hljs-comment": {
    "color": "#888"
  },
  "hljs-attribute": {
    "fontWeight": "700"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "fontWeight": "700"
  },
  "hljs-deletion": {
    "color": "#4286f4"
  },
  "hljs-number": {
    "color": "#4286f4"
  },
  "hljs-quote": {
    "color": "#4286f4"
  },
  "hljs-selector-class": {
    "color": "#4286f4"
  },
  "hljs-selector-id": {
    "color": "#4286f4"
  },
  "hljs-string": {
    "color": "#4286f4"
  },
  "hljs-template-tag": {
    "color": "#4286f4"
  },
  "hljs-type": {
    "color": "#4286f4"
  },
  "hljs-section": {
    "color": "#4286f4",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#4286f4",
    "fontWeight": "700"
  },
  "hljs-link": {
    "color": "#bc6060"
  },
  "hljs-regexp": {
    "color": "#bc6060"
  },
  "hljs-selector-attr": {
    "color": "#bc6060"
  },
  "hljs-selector-pseudo": {
    "color": "#bc6060"
  },
  "hljs-symbol": {
    "color": "#bc6060"
  },
  "hljs-template-variable": {
    "color": "#bc6060"
  },
  "hljs-variable": {
    "color": "#bc6060"
  },
  "hljs-literal": {
    "color": "#62bcbc"
  },
  "hljs-addition": {
    "color": "#25c6c6"
  },
  "hljs-built_in": {
    "color": "#25c6c6"
  },
  "hljs-bullet": {
    "color": "#25c6c6"
  },
  "hljs-code": {
    "color": "#25c6c6"
  },
  "hljs-meta .hljs-string": {
    "color": "#4d99bf"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/lioshi.generated.ts
var lioshi = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#303030",
    "color": "#c5c8c6"
  },
  "hljs-comment": {
    "color": "#8d8d8d"
  },
  "hljs-quote": {
    "color": "#b3c7d8"
  },
  "hljs-deletion": {
    "color": "#c66"
  },
  "hljs-name": {
    "color": "#c66"
  },
  "hljs-regexp": {
    "color": "#c66"
  },
  "hljs-selector-class": {
    "color": "#c66"
  },
  "hljs-selector-id": {
    "color": "#c66"
  },
  "hljs-tag": {
    "color": "#c66"
  },
  "hljs-template-variable": {
    "color": "#c66"
  },
  "hljs-variable": {
    "color": "#c66"
  },
  "hljs-built_in": {
    "color": "#de935f"
  },
  "hljs-literal": {
    "color": "#de935f"
  },
  "hljs-number": {
    "color": "#de935f"
  },
  "hljs-subst .hljs-link": {
    "color": "#de935f"
  },
  "hljs-type": {
    "color": "#de935f"
  },
  "hljs-attribute": {
    "color": "#f0c674"
  },
  "hljs-addition": {
    "color": "#b5bd68"
  },
  "hljs-bullet": {
    "color": "#b5bd68"
  },
  "hljs-params": {
    "color": "#b5bd68"
  },
  "hljs-string": {
    "color": "#b5bd68"
  },
  "hljs-class": {
    "color": "#be94bb"
  },
  "hljs-function": {
    "color": "#be94bb"
  },
  "hljs-keyword": {
    "color": "#be94bb"
  },
  "hljs-selector-tag": {
    "color": "#be94bb"
  },
  "hljs-meta": {
    "color": "#81a2be"
  },
  "hljs-section": {
    "color": "#81a2be"
  },
  "hljs-title": {
    "color": "#81a2be"
  },
  "hljs-symbol": {
    "color": "#dbc4d9"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/magula.generated.ts
var magula = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "backgroundColor": "#f4f4f4",
    "color": "#000"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-addition": {
    "color": "#050"
  },
  "hljs-attribute": {
    "color": "#050"
  },
  "hljs-bullet": {
    "color": "#050"
  },
  "hljs-string": {
    "color": "#050"
  },
  "hljs-symbol": {
    "color": "#050"
  },
  "hljs-template-tag": {
    "color": "#050"
  },
  "hljs-template-variable": {
    "color": "#050"
  },
  "hljs-title": {
    "color": "navy",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#050"
  },
  "hljs-comment": {
    "color": "#777"
  },
  "hljs-quote": {
    "color": "#777"
  },
  "hljs-link": {
    "color": "#800"
  },
  "hljs-literal": {
    "color": "#800"
  },
  "hljs-number": {
    "color": "#800"
  },
  "hljs-regexp": {
    "color": "#800"
  },
  "hljs-type": {
    "color": "#800"
  },
  "hljs-deletion": {
    "color": "#00e"
  },
  "hljs-meta": {
    "color": "#00e"
  },
  "hljs-built_in": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-doctag": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-keyword": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-name": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-section": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-selector-tag": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-tag": {
    "fontWeight": "700",
    "color": "navy"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/monoBlue.generated.ts
var monoBlue = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#eaeef3",
    "color": "#00193a"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-name": {
    "fontWeight": "700",
    "color": "#0048ab"
  },
  "hljs-section": {
    "fontWeight": "700",
    "color": "#0048ab"
  },
  "hljs-selector-tag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-title": {
    "fontWeight": "700",
    "color": "#0048ab"
  },
  "hljs-comment": {
    "color": "#738191"
  },
  "hljs-addition": {
    "color": "#0048ab"
  },
  "hljs-built_in": {
    "color": "#0048ab"
  },
  "hljs-literal": {
    "color": "#0048ab"
  },
  "hljs-quote": {
    "color": "#0048ab"
  },
  "hljs-selector-class": {
    "color": "#0048ab"
  },
  "hljs-selector-id": {
    "color": "#0048ab"
  },
  "hljs-string": {
    "color": "#0048ab"
  },
  "hljs-tag": {
    "color": "#0048ab"
  },
  "hljs-type": {
    "color": "#0048ab"
  },
  "hljs-attribute": {
    "color": "#4c81c9"
  },
  "hljs-bullet": {
    "color": "#4c81c9"
  },
  "hljs-deletion": {
    "color": "#4c81c9"
  },
  "hljs-link": {
    "color": "#4c81c9"
  },
  "hljs-meta": {
    "color": "#4c81c9"
  },
  "hljs-regexp": {
    "color": "#4c81c9"
  },
  "hljs-subst": {
    "color": "#4c81c9"
  },
  "hljs-symbol": {
    "color": "#4c81c9"
  },
  "hljs-template-variable": {
    "color": "#4c81c9"
  },
  "hljs-variable": {
    "color": "#4c81c9"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/monokaiSublime.generated.ts
var monokaiSublime = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#23241f",
    "color": "#f8f8f2"
  },
  "hljs-subst": {
    "color": "#f8f8f2"
  },
  "hljs-tag": {
    "color": "#f8f8f2"
  },
  "hljs-emphasis": {
    "color": "#a8a8a2",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#a8a8a2",
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#ae81ff"
  },
  "hljs-link": {
    "color": "#ae81ff"
  },
  "hljs-literal": {
    "color": "#ae81ff"
  },
  "hljs-number": {
    "color": "#ae81ff"
  },
  "hljs-quote": {
    "color": "#ae81ff"
  },
  "hljs-regexp": {
    "color": "#ae81ff"
  },
  "hljs-code": {
    "color": "#a6e22e"
  },
  "hljs-section": {
    "color": "#a6e22e"
  },
  "hljs-selector-class": {
    "color": "#a6e22e"
  },
  "hljs-title": {
    "color": "#a6e22e"
  },
  "hljs-attr": {
    "color": "#f92672"
  },
  "hljs-keyword": {
    "color": "#f92672"
  },
  "hljs-name": {
    "color": "#f92672"
  },
  "hljs-selector-tag": {
    "color": "#f92672"
  },
  "hljs-attribute": {
    "color": "#66d9ef"
  },
  "hljs-symbol": {
    "color": "#66d9ef"
  },
  "hljs-class .hljs-title": {
    "color": "#f8f8f2"
  },
  "hljs-params": {
    "color": "#f8f8f2"
  },
  "hljs-title.class_": {
    "color": "#f8f8f2"
  },
  "hljs-addition": {
    "color": "#e6db74"
  },
  "hljs-built_in": {
    "color": "#e6db74"
  },
  "hljs-selector-attr": {
    "color": "#e6db74"
  },
  "hljs-selector-id": {
    "color": "#e6db74"
  },
  "hljs-selector-pseudo": {
    "color": "#e6db74"
  },
  "hljs-string": {
    "color": "#e6db74"
  },
  "hljs-template-variable": {
    "color": "#e6db74"
  },
  "hljs-type": {
    "color": "#e6db74"
  },
  "hljs-variable": {
    "color": "#e6db74"
  },
  "hljs-comment": {
    "color": "#75715e"
  },
  "hljs-deletion": {
    "color": "#75715e"
  },
  "hljs-meta": {
    "color": "#75715e"
  }
};

// src/lib/styles/monokai.generated.ts
var monokai = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#272822",
    "color": "#ddd"
  },
  "hljs-keyword": {
    "color": "#f92672",
    "fontWeight": "700"
  },
  "hljs-literal": {
    "color": "#f92672",
    "fontWeight": "700"
  },
  "hljs-name": {
    "color": "#f92672"
  },
  "hljs-selector-tag": {
    "color": "#f92672",
    "fontWeight": "700"
  },
  "hljs-strong": {
    "color": "#f92672"
  },
  "hljs-tag": {
    "color": "#f92672"
  },
  "hljs-code": {
    "color": "#66d9ef"
  },
  "hljs-attribute": {
    "color": "#bf79db"
  },
  "hljs-link": {
    "color": "#bf79db"
  },
  "hljs-regexp": {
    "color": "#bf79db"
  },
  "hljs-symbol": {
    "color": "#bf79db"
  },
  "hljs-addition": {
    "color": "#a6e22e"
  },
  "hljs-built_in": {
    "color": "#a6e22e"
  },
  "hljs-bullet": {
    "color": "#a6e22e"
  },
  "hljs-emphasis": {
    "color": "#a6e22e"
  },
  "hljs-section": {
    "color": "#a6e22e",
    "fontWeight": "700"
  },
  "hljs-selector-attr": {
    "color": "#a6e22e"
  },
  "hljs-selector-pseudo": {
    "color": "#a6e22e"
  },
  "hljs-string": {
    "color": "#a6e22e"
  },
  "hljs-subst": {
    "color": "#a6e22e"
  },
  "hljs-template-tag": {
    "color": "#a6e22e"
  },
  "hljs-template-variable": {
    "color": "#a6e22e"
  },
  "hljs-title": {
    "color": "#a6e22e",
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#a6e22e",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#a6e22e"
  },
  "hljs-class .hljs-title": {
    "color": "#fff"
  },
  "hljs-title.class_": {
    "color": "#fff"
  },
  "hljs-comment": {
    "color": "#75715e"
  },
  "hljs-deletion": {
    "color": "#75715e"
  },
  "hljs-meta": {
    "color": "#75715e"
  },
  "hljs-quote": {
    "color": "#75715e"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-selector-id": {
    "fontWeight": "700"
  }
};

// src/lib/styles/nightOwl.generated.ts
var nightOwl = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#011627",
    "color": "#d6deeb"
  },
  "hljs-keyword": {
    "color": "#c792ea",
    "fontStyle": "italic"
  },
  "hljs-built_in": {
    "color": "#addb67",
    "fontStyle": "italic"
  },
  "hljs-type": {
    "color": "#82aaff"
  },
  "hljs-literal": {
    "color": "#ff5874"
  },
  "hljs-number": {
    "color": "#f78c6c"
  },
  "hljs-regexp": {
    "color": "#5ca7e4"
  },
  "hljs-string": {
    "color": "#ecc48d"
  },
  "hljs-subst": {
    "color": "#d3423e"
  },
  "hljs-symbol": {
    "color": "#82aaff"
  },
  "hljs-class": {
    "color": "#ffcb8b"
  },
  "hljs-function": {
    "color": "#82aaff"
  },
  "hljs-title": {
    "color": "#dcdcaa",
    "fontStyle": "italic"
  },
  "hljs-params": {
    "color": "#7fdbca"
  },
  "hljs-comment": {
    "color": "#637777",
    "fontStyle": "italic"
  },
  "hljs-doctag": {
    "color": "#7fdbca"
  },
  "hljs-meta": {
    "color": "#82aaff"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#82aaff"
  },
  "hljs-meta .hljs-string": {
    "color": "#ecc48d"
  },
  "hljs-section": {
    "color": "#82b1ff"
  },
  "hljs-attr": {
    "color": "#7fdbca"
  },
  "hljs-name": {
    "color": "#7fdbca"
  },
  "hljs-tag": {
    "color": "#7fdbca"
  },
  "hljs-attribute": {
    "color": "#80cbc4"
  },
  "hljs-variable": {
    "color": "#addb67"
  },
  "hljs-bullet": {
    "color": "#d9f5dd"
  },
  "hljs-code": {
    "color": "#80cbc4"
  },
  "hljs-emphasis": {
    "color": "#c792ea",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#addb67",
    "fontWeight": "700"
  },
  "hljs-formula": {
    "color": "#c792ea"
  },
  "hljs-link": {
    "color": "#ff869a"
  },
  "hljs-quote": {
    "color": "#697098",
    "fontStyle": "italic"
  },
  "hljs-selector-tag": {
    "color": "#ff6363"
  },
  "hljs-selector-id": {
    "color": "#fad430"
  },
  "hljs-selector-class": {
    "color": "#addb67",
    "fontStyle": "italic"
  },
  "hljs-selector-attr": {
    "color": "#c792ea",
    "fontStyle": "italic"
  },
  "hljs-selector-pseudo": {
    "color": "#c792ea",
    "fontStyle": "italic"
  },
  "hljs-template-tag": {
    "color": "#c792ea"
  },
  "hljs-template-variable": {
    "color": "#addb67"
  },
  "hljs-addition": {
    "color": "#addb67ff",
    "fontStyle": "italic"
  },
  "hljs-deletion": {
    "color": "#ef535090",
    "fontStyle": "italic"
  }
};

// src/lib/styles/nnfxDark.generated.ts
var nnfxDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#333",
    "color": "#fff"
  },
  "language-xml .hljs-meta": {
    "fontWeight": "700",
    "fontStyle": "italic",
    "color": "#69f"
  },
  "language-xml .hljs-meta-string": {
    "fontWeight": "700",
    "fontStyle": "italic",
    "color": "#69f"
  },
  "hljs-comment": {
    "fontStyle": "italic",
    "color": "#9c6"
  },
  "hljs-quote": {
    "fontStyle": "italic",
    "color": "#9c6"
  },
  "hljs-built_in": {
    "color": "#a7a"
  },
  "hljs-keyword": {
    "color": "#a7a"
  },
  "hljs-name": {
    "color": "#a7a",
    "fontWeight": "700"
  },
  "hljs-attr": {
    "fontWeight": "700",
    "color": "#fff"
  },
  "hljs-string": {
    "fontWeight": "400",
    "color": "#bce"
  },
  "hljs-code": {
    "color": "#bce"
  },
  "hljs-link": {
    "color": "#bce"
  },
  "hljs-meta .hljs-string": {
    "color": "#bce"
  },
  "hljs-number": {
    "color": "#bce"
  },
  "hljs-regexp": {
    "color": "#bce"
  },
  "hljs-bullet": {
    "color": "#d40"
  },
  "hljs-symbol": {
    "color": "#d40"
  },
  "hljs-template-variable": {
    "color": "#d40"
  },
  "hljs-title": {
    "color": "#d40"
  },
  "hljs-variable": {
    "color": "#d40"
  },
  "hljs-class .hljs-title": {
    "fontWeight": "700",
    "color": "#96c"
  },
  "hljs-title.class_": {
    "fontWeight": "700",
    "color": "#96c"
  },
  "hljs-type": {
    "fontWeight": "700",
    "color": "#96c"
  },
  "hljs-function .hljs-title": {
    "color": "#fff"
  },
  "hljs-subst": {
    "color": "#fff"
  },
  "hljs-tag": {
    "color": "#fff"
  },
  "hljs-title.function_": {
    "color": "#fff"
  },
  "hljs-formula": {
    "backgroundColor": "#eee",
    "fontStyle": "italic"
  },
  "hljs-addition": {
    "backgroundColor": "#797"
  },
  "hljs-deletion": {
    "backgroundColor": "#c99"
  },
  "hljs-meta": {
    "color": "#69f"
  },
  "hljs-section": {
    "fontWeight": "700",
    "color": "#69f"
  },
  "hljs-selector-class": {
    "fontWeight": "700",
    "color": "#69f"
  },
  "hljs-selector-id": {
    "fontWeight": "700",
    "color": "#69f"
  },
  "hljs-selector-pseudo": {
    "fontWeight": "700",
    "color": "#69f",
    "fontStyle": "italic"
  },
  "hljs-selector-tag": {
    "fontWeight": "700",
    "color": "#69f"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/nnfxLight.generated.ts
var nnfxLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#000"
  },
  "language-xml .hljs-meta": {
    "fontWeight": "700",
    "fontStyle": "italic",
    "color": "#48b"
  },
  "language-xml .hljs-meta-string": {
    "fontWeight": "700",
    "fontStyle": "italic",
    "color": "#48b"
  },
  "hljs-comment": {
    "fontStyle": "italic",
    "color": "#070"
  },
  "hljs-quote": {
    "fontStyle": "italic",
    "color": "#070"
  },
  "hljs-built_in": {
    "color": "#808"
  },
  "hljs-keyword": {
    "color": "#808"
  },
  "hljs-name": {
    "color": "#808",
    "fontWeight": "700"
  },
  "hljs-attr": {
    "fontWeight": "700",
    "color": "#000"
  },
  "hljs-string": {
    "fontWeight": "400",
    "color": "#00f"
  },
  "hljs-code": {
    "color": "#00f"
  },
  "hljs-link": {
    "color": "#00f"
  },
  "hljs-meta .hljs-string": {
    "color": "#00f"
  },
  "hljs-number": {
    "color": "#00f"
  },
  "hljs-regexp": {
    "color": "#00f"
  },
  "hljs-bullet": {
    "color": "#f40"
  },
  "hljs-symbol": {
    "color": "#f40"
  },
  "hljs-template-variable": {
    "color": "#f40"
  },
  "hljs-title": {
    "color": "#f40"
  },
  "hljs-variable": {
    "color": "#f40"
  },
  "hljs-class .hljs-title": {
    "fontWeight": "700",
    "color": "#639"
  },
  "hljs-title.class_": {
    "fontWeight": "700",
    "color": "#639"
  },
  "hljs-type": {
    "fontWeight": "700",
    "color": "#639"
  },
  "hljs-function .hljs-title": {
    "color": "#000"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-tag": {
    "color": "#000"
  },
  "hljs-title.function_": {
    "color": "#000"
  },
  "hljs-formula": {
    "backgroundColor": "#eee",
    "fontStyle": "italic"
  },
  "hljs-addition": {
    "backgroundColor": "#beb"
  },
  "hljs-deletion": {
    "backgroundColor": "#fbb"
  },
  "hljs-meta": {
    "color": "#269"
  },
  "hljs-section": {
    "fontWeight": "700",
    "color": "#48b"
  },
  "hljs-selector-class": {
    "fontWeight": "700",
    "color": "#48b"
  },
  "hljs-selector-id": {
    "fontWeight": "700",
    "color": "#48b"
  },
  "hljs-selector-pseudo": {
    "fontWeight": "700",
    "color": "#48b",
    "fontStyle": "italic"
  },
  "hljs-selector-tag": {
    "fontWeight": "700",
    "color": "#48b"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/nord.generated.ts
var nord = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#2e3440",
    "color": "#d8dee9"
  },
  "hljs-subst": {
    "color": "#d8dee9"
  },
  "hljs-selector-tag": {
    "color": "#81a1c1"
  },
  "hljs-selector-id": {
    "color": "#8fbcbb",
    "fontWeight": "700"
  },
  "hljs-selector-attr": {
    "color": "#8fbcbb"
  },
  "hljs-selector-class": {
    "color": "#8fbcbb"
  },
  "hljs-property": {
    "color": "#88c0d0"
  },
  "hljs-selector-pseudo": {
    "color": "#88c0d0"
  },
  "hljs-addition": {
    "backgroundColor": "rgba(163,190,140,.5)"
  },
  "hljs-deletion": {
    "backgroundColor": "rgba(191,97,106,.5)"
  },
  "hljs-built_in": {
    "color": "#8fbcbb"
  },
  "hljs-class": {
    "color": "#8fbcbb"
  },
  "hljs-type": {
    "color": "#8fbcbb"
  },
  "hljs-function": {
    "color": "#88c0d0"
  },
  "hljs-function>.hljs-title": {
    "color": "#88c0d0"
  },
  "hljs-title.hljs-function": {
    "color": "#88c0d0"
  },
  "hljs-keyword": {
    "color": "#81a1c1"
  },
  "hljs-literal": {
    "color": "#81a1c1"
  },
  "hljs-symbol": {
    "color": "#81a1c1"
  },
  "hljs-number": {
    "color": "#b48ead"
  },
  "hljs-regexp": {
    "color": "#ebcb8b"
  },
  "hljs-string": {
    "color": "#a3be8c"
  },
  "hljs-title": {
    "color": "#8fbcbb"
  },
  "hljs-params": {
    "color": "#d8dee9"
  },
  "hljs-bullet": {
    "color": "#81a1c1"
  },
  "hljs-code": {
    "color": "#8fbcbb"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-formula": {
    "color": "#8fbcbb"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-link:hover": {
    "textDecoration": "underline"
  },
  "hljs-comment": {
    "color": "#4c566a"
  },
  "hljs-quote": {
    "color": "#4c566a"
  },
  "hljs-doctag": {
    "color": "#8fbcbb"
  },
  "hljs-meta": {
    "color": "#5e81ac"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#5e81ac"
  },
  "hljs-meta .hljs-string": {
    "color": "#a3be8c"
  },
  "hljs-attr": {
    "color": "#8fbcbb"
  },
  "hljs-attribute": {
    "color": "#d8dee9"
  },
  "hljs-name": {
    "color": "#81a1c1"
  },
  "hljs-section": {
    "color": "#88c0d0"
  },
  "hljs-tag": {
    "color": "#81a1c1"
  },
  "hljs-template-variable": {
    "color": "#d8dee9"
  },
  "hljs-variable": {
    "color": "#d8dee9"
  },
  "hljs-template-tag": {
    "color": "#5e81ac"
  },
  "language-abnf .hljs-attribute": {
    "color": "#88c0d0"
  },
  "language-abnf .hljs-symbol": {
    "color": "#ebcb8b"
  },
  "language-apache .hljs-attribute": {
    "color": "#88c0d0"
  },
  "language-apache .hljs-section": {
    "color": "#81a1c1"
  },
  "language-arduino .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-aspectj .hljs-meta": {
    "color": "#d08770"
  },
  "language-aspectj>.hljs-title": {
    "color": "#88c0d0"
  },
  "language-bnf .hljs-attribute": {
    "color": "#8fbcbb"
  },
  "language-clojure .hljs-name": {
    "color": "#88c0d0"
  },
  "language-clojure .hljs-symbol": {
    "color": "#ebcb8b"
  },
  "language-coq .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-cpp .hljs-meta .hljs-string": {
    "color": "#8fbcbb"
  },
  "language-css .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-css .hljs-keyword": {
    "color": "#d08770"
  },
  "language-diff .hljs-meta": {
    "color": "#8fbcbb"
  },
  "language-ebnf .hljs-attribute": {
    "color": "#8fbcbb"
  },
  "language-glsl .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-groovy .hljs-meta:not(:first-child)": {
    "color": "#d08770"
  },
  "language-haxe .hljs-meta": {
    "color": "#d08770"
  },
  "language-java .hljs-meta": {
    "color": "#d08770"
  },
  "language-ldif .hljs-attribute": {
    "color": "#8fbcbb"
  },
  "language-lisp .hljs-name": {
    "color": "#88c0d0"
  },
  "language-lua .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-moonscript .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-nginx .hljs-attribute": {
    "color": "#88c0d0"
  },
  "language-nginx .hljs-section": {
    "color": "#5e81ac"
  },
  "language-pf .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-processing .hljs-built_in": {
    "color": "#88c0d0"
  },
  "language-scss .hljs-keyword": {
    "color": "#81a1c1"
  },
  "language-stylus .hljs-keyword": {
    "color": "#81a1c1"
  },
  "language-swift .hljs-meta": {
    "color": "#d08770"
  },
  "language-vim .hljs-built_in": {
    "color": "#88c0d0",
    "fontStyle": "italic"
  },
  "language-yaml .hljs-meta": {
    "color": "#d08770"
  }
};

// src/lib/styles/obsidian.generated.ts
var obsidian = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#e0e2e4",
    "background": "#282b2e"
  },
  "hljs-keyword": {
    "color": "#93c763",
    "fontWeight": "700"
  },
  "hljs-literal": {
    "color": "#93c763",
    "fontWeight": "700"
  },
  "hljs-selector-id": {
    "color": "#93c763"
  },
  "hljs-selector-tag": {
    "color": "#93c763",
    "fontWeight": "700"
  },
  "hljs-number": {
    "color": "#ffcd22"
  },
  "hljs-attribute": {
    "color": "#668bb0"
  },
  "hljs-link": {
    "color": "#d39745"
  },
  "hljs-regexp": {
    "color": "#d39745"
  },
  "hljs-meta": {
    "color": "#557182"
  },
  "hljs-addition": {
    "color": "#8cbbad"
  },
  "hljs-built_in": {
    "color": "#8cbbad"
  },
  "hljs-bullet": {
    "color": "#8cbbad"
  },
  "hljs-emphasis": {
    "color": "#8cbbad"
  },
  "hljs-name": {
    "color": "#8cbbad",
    "fontWeight": "700"
  },
  "hljs-selector-attr": {
    "color": "#8cbbad"
  },
  "hljs-selector-pseudo": {
    "color": "#8cbbad"
  },
  "hljs-subst": {
    "color": "#8cbbad"
  },
  "hljs-tag": {
    "color": "#8cbbad"
  },
  "hljs-template-tag": {
    "color": "#8cbbad"
  },
  "hljs-template-variable": {
    "color": "#8cbbad"
  },
  "hljs-type": {
    "color": "#8cbbad",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#8cbbad"
  },
  "hljs-string": {
    "color": "#ec7600"
  },
  "hljs-symbol": {
    "color": "#ec7600"
  },
  "hljs-comment": {
    "color": "#818e96"
  },
  "hljs-deletion": {
    "color": "#818e96"
  },
  "hljs-quote": {
    "color": "#818e96"
  },
  "hljs-selector-class": {
    "color": "#a082bd"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-section": {
    "fontWeight": "700",
    "color": "#fff"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-title": {
    "fontWeight": "700"
  },
  "hljs-class .hljs-title": {
    "color": "#fff"
  },
  "hljs-code": {
    "color": "#fff"
  },
  "hljs-title.class_": {
    "color": "#fff"
  }
};

// src/lib/styles/pandaSyntaxDark.generated.ts
var pandaSyntaxDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#e6e6e6",
    "background": "#2a2c2d"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-link": {
    "textDecoration": "underline",
    "color": "#ffb86c"
  },
  "hljs-comment": {
    "color": "#bbb",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#bbb",
    "fontStyle": "italic"
  },
  "hljs-params": {
    "color": "#bbb"
  },
  "hljs-attr": {
    "color": "#e6e6e6"
  },
  "hljs-punctuation": {
    "color": "#ffb86c"
  },
  "hljs-meta": {
    "color": "#ff4b82"
  },
  "hljs-name": {
    "color": "#ff4b82"
  },
  "hljs-selector-tag": {
    "color": "#ff4b82"
  },
  "hljs-char.escape_": {
    "color": "#b084eb"
  },
  "hljs-operator": {
    "color": "#b084eb"
  },
  "hljs-deletion": {
    "color": "#ff75b5"
  },
  "hljs-keyword": {
    "color": "#ff75b5"
  },
  "hljs-regexp": {
    "color": "#ff9ac1"
  },
  "hljs-selector-attr": {
    "color": "#ff9ac1"
  },
  "hljs-selector-pseudo": {
    "color": "#ff9ac1"
  },
  "hljs-variable.language_": {
    "color": "#ff9ac1"
  },
  "hljs-code": {
    "color": "#45a9f9"
  },
  "hljs-formula": {
    "color": "#45a9f9"
  },
  "hljs-property": {
    "color": "#45a9f9"
  },
  "hljs-section": {
    "color": "#45a9f9"
  },
  "hljs-subst": {
    "color": "#45a9f9"
  },
  "hljs-title.function_": {
    "color": "#45a9f9"
  },
  "hljs-addition": {
    "color": "#19f9d8"
  },
  "hljs-bullet": {
    "color": "#19f9d8"
  },
  "hljs-meta .hljs-string": {
    "color": "#19f9d8"
  },
  "hljs-selector-class": {
    "color": "#19f9d8"
  },
  "hljs-string": {
    "color": "#19f9d8"
  },
  "hljs-symbol": {
    "color": "#19f9d8"
  },
  "hljs-title.class_": {
    "color": "#19f9d8"
  },
  "hljs-title.class_.inherited__": {
    "color": "#19f9d8"
  },
  "hljs-attribute": {
    "color": "#ffb86c"
  },
  "hljs-built_in": {
    "color": "#ffb86c"
  },
  "hljs-doctag": {
    "color": "#ffb86c"
  },
  "hljs-literal": {
    "color": "#ffb86c"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#ffb86c"
  },
  "hljs-number": {
    "color": "#ffb86c"
  },
  "hljs-selector-id": {
    "color": "#ffb86c"
  },
  "hljs-tag": {
    "color": "#ffb86c"
  },
  "hljs-template-tag": {
    "color": "#ffb86c"
  },
  "hljs-template-variable": {
    "color": "#ffb86c"
  },
  "hljs-title": {
    "color": "#ffb86c"
  },
  "hljs-type": {
    "color": "#ffb86c"
  },
  "hljs-variable": {
    "color": "#ffb86c"
  }
};

// src/lib/styles/pandaSyntaxLight.generated.ts
var pandaSyntaxLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#2a2c2d",
    "background": "#e6e6e6"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-link": {
    "textDecoration": "underline",
    "color": "#7641bb"
  },
  "hljs-comment": {
    "color": "#676b79",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#676b79",
    "fontStyle": "italic"
  },
  "hljs-params": {
    "color": "#676b79"
  },
  "hljs-attr": {
    "color": "#2a2c2d"
  },
  "hljs-punctuation": {
    "color": "#2a2c2d"
  },
  "hljs-char.escape_": {
    "color": "#c56200"
  },
  "hljs-meta": {
    "color": "#c56200"
  },
  "hljs-name": {
    "color": "#c56200"
  },
  "hljs-operator": {
    "color": "#c56200"
  },
  "hljs-selector-tag": {
    "color": "#c56200"
  },
  "hljs-deletion": {
    "color": "#d92792"
  },
  "hljs-keyword": {
    "color": "#d92792"
  },
  "hljs-regexp": {
    "color": "#cc5e91"
  },
  "hljs-selector-attr": {
    "color": "#cc5e91"
  },
  "hljs-selector-pseudo": {
    "color": "#cc5e91"
  },
  "hljs-variable.language_": {
    "color": "#cc5e91"
  },
  "hljs-code": {
    "color": "#3787c7"
  },
  "hljs-formula": {
    "color": "#3787c7"
  },
  "hljs-property": {
    "color": "#3787c7"
  },
  "hljs-section": {
    "color": "#3787c7"
  },
  "hljs-subst": {
    "color": "#3787c7"
  },
  "hljs-title.function_": {
    "color": "#3787c7"
  },
  "hljs-addition": {
    "color": "#0d7d6c"
  },
  "hljs-bullet": {
    "color": "#0d7d6c"
  },
  "hljs-meta .hljs-string": {
    "color": "#0d7d6c"
  },
  "hljs-selector-class": {
    "color": "#0d7d6c"
  },
  "hljs-string": {
    "color": "#0d7d6c"
  },
  "hljs-symbol": {
    "color": "#0d7d6c"
  },
  "hljs-title.class_": {
    "color": "#0d7d6c"
  },
  "hljs-title.class_.inherited__": {
    "color": "#0d7d6c"
  },
  "hljs-attribute": {
    "color": "#7641bb"
  },
  "hljs-built_in": {
    "color": "#7641bb"
  },
  "hljs-doctag": {
    "color": "#7641bb"
  },
  "hljs-literal": {
    "color": "#7641bb"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#7641bb"
  },
  "hljs-number": {
    "color": "#7641bb"
  },
  "hljs-selector-id": {
    "color": "#7641bb"
  },
  "hljs-tag": {
    "color": "#7641bb"
  },
  "hljs-template-tag": {
    "color": "#7641bb"
  },
  "hljs-template-variable": {
    "color": "#7641bb"
  },
  "hljs-title": {
    "color": "#7641bb"
  },
  "hljs-type": {
    "color": "#7641bb"
  },
  "hljs-variable": {
    "color": "#7641bb"
  }
};

// src/lib/styles/paraisoDark.generated.ts
var paraisoDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#2f1e2e",
    "color": "#a39e9b"
  },
  "hljs-comment": {
    "color": "#8d8687"
  },
  "hljs-quote": {
    "color": "#8d8687"
  },
  "hljs-link": {
    "color": "#ef6155"
  },
  "hljs-meta": {
    "color": "#ef6155"
  },
  "hljs-name": {
    "color": "#ef6155"
  },
  "hljs-regexp": {
    "color": "#ef6155"
  },
  "hljs-selector-class": {
    "color": "#ef6155"
  },
  "hljs-selector-id": {
    "color": "#ef6155"
  },
  "hljs-tag": {
    "color": "#ef6155"
  },
  "hljs-template-variable": {
    "color": "#ef6155"
  },
  "hljs-variable": {
    "color": "#ef6155"
  },
  "hljs-built_in": {
    "color": "#f99b15"
  },
  "hljs-deletion": {
    "color": "#f99b15"
  },
  "hljs-literal": {
    "color": "#f99b15"
  },
  "hljs-number": {
    "color": "#f99b15"
  },
  "hljs-params": {
    "color": "#f99b15"
  },
  "hljs-type": {
    "color": "#f99b15"
  },
  "hljs-attribute": {
    "color": "#fec418"
  },
  "hljs-section": {
    "color": "#fec418"
  },
  "hljs-title": {
    "color": "#fec418"
  },
  "hljs-addition": {
    "color": "#48b685"
  },
  "hljs-bullet": {
    "color": "#48b685"
  },
  "hljs-string": {
    "color": "#48b685"
  },
  "hljs-symbol": {
    "color": "#48b685"
  },
  "hljs-keyword": {
    "color": "#815ba4"
  },
  "hljs-selector-tag": {
    "color": "#815ba4"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/paraisoLight.generated.ts
var paraisoLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#e7e9db",
    "color": "#4f424c"
  },
  "hljs-comment": {
    "color": "#776e71"
  },
  "hljs-quote": {
    "color": "#776e71"
  },
  "hljs-link": {
    "color": "#ef6155"
  },
  "hljs-meta": {
    "color": "#ef6155"
  },
  "hljs-name": {
    "color": "#ef6155"
  },
  "hljs-regexp": {
    "color": "#ef6155"
  },
  "hljs-selector-class": {
    "color": "#ef6155"
  },
  "hljs-selector-id": {
    "color": "#ef6155"
  },
  "hljs-tag": {
    "color": "#ef6155"
  },
  "hljs-template-variable": {
    "color": "#ef6155"
  },
  "hljs-variable": {
    "color": "#ef6155"
  },
  "hljs-built_in": {
    "color": "#f99b15"
  },
  "hljs-deletion": {
    "color": "#f99b15"
  },
  "hljs-literal": {
    "color": "#f99b15"
  },
  "hljs-number": {
    "color": "#f99b15"
  },
  "hljs-params": {
    "color": "#f99b15"
  },
  "hljs-type": {
    "color": "#f99b15"
  },
  "hljs-attribute": {
    "color": "#fec418"
  },
  "hljs-section": {
    "color": "#fec418"
  },
  "hljs-title": {
    "color": "#fec418"
  },
  "hljs-addition": {
    "color": "#48b685"
  },
  "hljs-bullet": {
    "color": "#48b685"
  },
  "hljs-string": {
    "color": "#48b685"
  },
  "hljs-symbol": {
    "color": "#48b685"
  },
  "hljs-keyword": {
    "color": "#815ba4"
  },
  "hljs-selector-tag": {
    "color": "#815ba4"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/pojoaque.generated.ts
var pojoaque = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#dccf8f",
    "background": "url(./pojoaque.jpg) left top #181914"
  },
  "hljs-comment": {
    "color": "#586e75",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#586e75",
    "fontStyle": "italic"
  },
  "hljs-addition": {
    "color": "#b64926"
  },
  "hljs-keyword": {
    "color": "#b64926"
  },
  "hljs-literal": {
    "color": "#b64926"
  },
  "hljs-selector-tag": {
    "color": "#b64926"
  },
  "hljs-doctag": {
    "color": "#468966"
  },
  "hljs-number": {
    "color": "#468966"
  },
  "hljs-regexp": {
    "color": "#468966"
  },
  "hljs-string": {
    "color": "#468966"
  },
  "hljs-built_in": {
    "color": "#ffb03b"
  },
  "hljs-name": {
    "color": "#ffb03b"
  },
  "hljs-section": {
    "color": "#ffb03b"
  },
  "hljs-title": {
    "color": "#ffb03b"
  },
  "hljs-class .hljs-title": {
    "color": "#b58900"
  },
  "hljs-tag": {
    "color": "#b58900"
  },
  "hljs-template-variable": {
    "color": "#b58900"
  },
  "hljs-title.class_": {
    "color": "#b58900"
  },
  "hljs-type": {
    "color": "#b58900"
  },
  "hljs-variable": {
    "color": "#b58900"
  },
  "hljs-attribute": {
    "color": "#b89859"
  },
  "hljs-bullet": {
    "color": "#cb4b16"
  },
  "hljs-link": {
    "color": "#cb4b16"
  },
  "hljs-meta": {
    "color": "#cb4b16"
  },
  "hljs-subst": {
    "color": "#cb4b16"
  },
  "hljs-symbol": {
    "color": "#cb4b16"
  },
  "hljs-deletion": {
    "color": "#dc322f"
  },
  "hljs-selector-class": {
    "color": "#d3a60c"
  },
  "hljs-selector-id": {
    "color": "#d3a60c"
  },
  "hljs-formula": {
    "background": "#073642"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/purebasic.generated.ts
var purebasic2 = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#ffffdf",
    "color": "#000"
  },
  "hljs-attr": {
    "color": "#000"
  },
  "hljs-function": {
    "color": "#000"
  },
  "hljs-name": {
    "color": "#000",
    "fontWeight": "700"
  },
  "hljs-number": {
    "color": "#000"
  },
  "hljs-params": {
    "color": "#000"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-type": {
    "color": "#000"
  },
  "hljs-addition": {
    "color": "#0aa"
  },
  "hljs-comment": {
    "color": "#0aa"
  },
  "hljs-regexp": {
    "color": "#0aa"
  },
  "hljs-section": {
    "color": "#0aa"
  },
  "hljs-selector-pseudo": {
    "color": "#0aa"
  },
  "hljs-built_in": {
    "color": "#066",
    "fontWeight": "700"
  },
  "hljs-class": {
    "color": "#066",
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "color": "#066",
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#066",
    "fontWeight": "700"
  },
  "hljs-selector-class": {
    "color": "#066",
    "fontWeight": "700"
  },
  "hljs-code": {
    "color": "#066"
  },
  "hljs-tag": {
    "color": "#066"
  },
  "hljs-title": {
    "color": "#066"
  },
  "hljs-variable": {
    "color": "#066"
  },
  "hljs-selector-attr": {
    "color": "#0080ff"
  },
  "hljs-string": {
    "color": "#0080ff"
  },
  "hljs-attribute": {
    "color": "#924b72"
  },
  "hljs-deletion": {
    "color": "#924b72"
  },
  "hljs-link": {
    "color": "#924b72"
  },
  "hljs-symbol": {
    "color": "#924b72"
  },
  "hljs-literal": {
    "color": "#924b72",
    "fontWeight": "700"
  },
  "hljs-meta": {
    "color": "#924b72",
    "fontWeight": "700"
  },
  "hljs-selector-id": {
    "color": "#924b72",
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/qtcreatorDark.generated.ts
var qtcreatorDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#aaa",
    "background": "#000"
  },
  "hljs-emphasis": {
    "color": "#a8a8a2",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#a8a8a2"
  },
  "hljs-bullet": {
    "color": "#f5f"
  },
  "hljs-literal": {
    "color": "#f5f"
  },
  "hljs-number": {
    "color": "#f5f"
  },
  "hljs-quote": {
    "color": "#f5f"
  },
  "hljs-regexp": {
    "color": "#f5f"
  },
  "hljs-code .hljs-selector-class": {
    "color": "#aaf"
  },
  "hljs-stronge": {
    "fontStyle": "italic"
  },
  "hljs-type": {
    "fontStyle": "italic",
    "color": "#f5f"
  },
  "hljs-function": {
    "color": "#ff5"
  },
  "hljs-keyword": {
    "color": "#ff5"
  },
  "hljs-name": {
    "color": "#ff5"
  },
  "hljs-section": {
    "color": "#ff5"
  },
  "hljs-selector-tag": {
    "color": "#ff5"
  },
  "hljs-symbol": {
    "color": "#ff5"
  },
  "hljs-subst": {
    "color": "#aaa"
  },
  "hljs-tag": {
    "color": "#aaa"
  },
  "hljs-title": {
    "color": "#aaa"
  },
  "hljs-attribute": {
    "color": "#f55"
  },
  "hljs-class .hljs-title": {
    "color": "#88f"
  },
  "hljs-params": {
    "color": "#88f"
  },
  "hljs-title.class_": {
    "color": "#88f"
  },
  "hljs-variable": {
    "color": "#88f"
  },
  "hljs-addition": {
    "color": "#f5f"
  },
  "hljs-built_in": {
    "color": "#f5f"
  },
  "hljs-link": {
    "color": "#f5f"
  },
  "hljs-selector-attr": {
    "color": "#f5f"
  },
  "hljs-selector-id": {
    "color": "#f5f"
  },
  "hljs-selector-pseudo": {
    "color": "#f5f"
  },
  "hljs-string": {
    "color": "#f5f"
  },
  "hljs-template-tag": {
    "color": "#f5f"
  },
  "hljs-template-variable": {
    "color": "#f5f"
  },
  "hljs-comment": {
    "color": "#5ff"
  },
  "hljs-deletion": {
    "color": "#5ff"
  },
  "hljs-meta": {
    "color": "#5ff"
  }
};

// src/lib/styles/qtcreatorLight.generated.ts
var qtcreatorLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#000",
    "background": "#fff"
  },
  "hljs-emphasis": {
    "color": "#000",
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "color": "#000"
  },
  "hljs-bullet": {
    "color": "navy"
  },
  "hljs-literal": {
    "color": "navy"
  },
  "hljs-number": {
    "color": "navy"
  },
  "hljs-quote": {
    "color": "navy"
  },
  "hljs-regexp": {
    "color": "navy"
  },
  "hljs-code .hljs-selector-class": {
    "color": "purple"
  },
  "hljs-stronge": {
    "fontStyle": "italic"
  },
  "hljs-type": {
    "fontStyle": "italic",
    "color": "green"
  },
  "hljs-function": {
    "color": "olive"
  },
  "hljs-keyword": {
    "color": "olive"
  },
  "hljs-name": {
    "color": "olive"
  },
  "hljs-section": {
    "color": "olive"
  },
  "hljs-selector-tag": {
    "color": "olive"
  },
  "hljs-symbol": {
    "color": "olive"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-tag": {
    "color": "#000"
  },
  "hljs-title": {
    "color": "#000"
  },
  "hljs-attribute": {
    "color": "maroon"
  },
  "hljs-class .hljs-title": {
    "color": "#0055af"
  },
  "hljs-params": {
    "color": "#0055af"
  },
  "hljs-title.class_": {
    "color": "#0055af"
  },
  "hljs-variable": {
    "color": "#0055af"
  },
  "hljs-addition": {
    "color": "green"
  },
  "hljs-built_in": {
    "color": "green"
  },
  "hljs-comment": {
    "color": "green"
  },
  "hljs-deletion": {
    "color": "green"
  },
  "hljs-link": {
    "color": "green"
  },
  "hljs-meta": {
    "color": "green"
  },
  "hljs-selector-attr": {
    "color": "green"
  },
  "hljs-selector-id": {
    "color": "green"
  },
  "hljs-selector-pseudo": {
    "color": "green"
  },
  "hljs-string": {
    "color": "green"
  },
  "hljs-template-tag": {
    "color": "green"
  },
  "hljs-template-variable": {
    "color": "green"
  }
};

// src/lib/styles/rainbow.generated.ts
var rainbow = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#474949",
    "color": "#d1d9e1"
  },
  "hljs-comment": {
    "color": "#969896",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#969896",
    "fontStyle": "italic"
  },
  "hljs-addition": {
    "color": "#c9c"
  },
  "hljs-keyword": {
    "color": "#c9c"
  },
  "hljs-literal": {
    "color": "#c9c"
  },
  "hljs-selector-tag": {
    "color": "#c9c"
  },
  "hljs-type": {
    "color": "#c9c"
  },
  "hljs-number": {
    "color": "#f99157"
  },
  "hljs-selector-attr": {
    "color": "#f99157"
  },
  "hljs-selector-pseudo": {
    "color": "#f99157"
  },
  "hljs-doctag": {
    "color": "#8abeb7"
  },
  "hljs-regexp": {
    "color": "#8abeb7"
  },
  "hljs-string": {
    "color": "#8abeb7"
  },
  "hljs-built_in": {
    "color": "#b5bd68"
  },
  "hljs-name": {
    "color": "#b5bd68",
    "fontWeight": "700"
  },
  "hljs-section": {
    "color": "#b5bd68",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#b5bd68"
  },
  "hljs-class .hljs-title": {
    "color": "#fc6"
  },
  "hljs-selector-id": {
    "color": "#fc6"
  },
  "hljs-template-variable": {
    "color": "#fc6"
  },
  "hljs-title.class_": {
    "color": "#fc6"
  },
  "hljs-variable": {
    "color": "#fc6"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#f99157"
  },
  "hljs-link": {
    "color": "#f99157"
  },
  "hljs-meta": {
    "color": "#f99157"
  },
  "hljs-subst": {
    "color": "#f99157"
  },
  "hljs-symbol": {
    "color": "#f99157"
  },
  "hljs-deletion": {
    "color": "#dc322f"
  },
  "hljs-formula": {
    "background": "#eee8d5"
  },
  "hljs-attr": {
    "color": "#81a2be"
  },
  "hljs-attribute": {
    "color": "#81a2be"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/routeros.generated.ts
var routeros2 = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#444",
    "background": "#f0f0f0"
  },
  "hljs-subst": {
    "color": "#444"
  },
  "hljs-comment": {
    "color": "#888"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-meta .hljs-keyword": {
    "fontWeight": "700"
  },
  "hljs-name": {
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "fontWeight": "700"
  },
  "hljs-attribute": {
    "color": "#0e9a00"
  },
  "hljs-function": {
    "color": "#99069a"
  },
  "hljs-deletion": {
    "color": "#800"
  },
  "hljs-number": {
    "color": "#800"
  },
  "hljs-quote": {
    "color": "#800"
  },
  "hljs-selector-class": {
    "color": "#800"
  },
  "hljs-selector-id": {
    "color": "#800"
  },
  "hljs-string": {
    "color": "#800"
  },
  "hljs-template-tag": {
    "color": "#800"
  },
  "hljs-type": {
    "color": "#800"
  },
  "hljs-section": {
    "color": "#800",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#800",
    "fontWeight": "700"
  },
  "hljs-link": {
    "color": "#bc6060"
  },
  "hljs-regexp": {
    "color": "#bc6060"
  },
  "hljs-selector-attr": {
    "color": "#bc6060"
  },
  "hljs-selector-pseudo": {
    "color": "#bc6060"
  },
  "hljs-symbol": {
    "color": "#bc6060"
  },
  "hljs-template-variable": {
    "color": "#bc6060"
  },
  "hljs-variable": {
    "color": "#bc6060"
  },
  "hljs-literal": {
    "color": "#78a960"
  },
  "hljs-addition": {
    "color": "#0c9a9a"
  },
  "hljs-built_in": {
    "color": "#0c9a9a"
  },
  "hljs-bullet": {
    "color": "#0c9a9a"
  },
  "hljs-code": {
    "color": "#0c9a9a"
  },
  "hljs-meta": {
    "color": "#1f7199"
  },
  "hljs-meta .hljs-string": {
    "color": "#4d99bf"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/schoolBook.generated.ts
var schoolBook = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#3e5915",
    "background": "#f6f5b2"
  },
  "hljs-keyword": {
    "color": "#059",
    "fontWeight": "700"
  },
  "hljs-literal": {
    "color": "#059",
    "fontWeight": "700"
  },
  "hljs-selector-tag": {
    "color": "#059",
    "fontWeight": "700"
  },
  "hljs-subst": {
    "color": "#3e5915"
  },
  "hljs-addition": {
    "color": "#2c009f"
  },
  "hljs-attribute": {
    "color": "#2c009f"
  },
  "hljs-built_in": {
    "color": "#2c009f"
  },
  "hljs-bullet": {
    "color": "#2c009f"
  },
  "hljs-link": {
    "color": "#2c009f"
  },
  "hljs-section": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-string": {
    "color": "#2c009f"
  },
  "hljs-symbol": {
    "color": "#2c009f"
  },
  "hljs-template-tag": {
    "color": "#2c009f"
  },
  "hljs-template-variable": {
    "color": "#2c009f"
  },
  "hljs-title": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#2c009f",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#2c009f"
  },
  "hljs-comment": {
    "color": "#e60415"
  },
  "hljs-deletion": {
    "color": "#e60415"
  },
  "hljs-meta": {
    "color": "#e60415"
  },
  "hljs-quote": {
    "color": "#e60415"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-name": {
    "fontWeight": "700"
  },
  "hljs-selector-id": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/shadesOfPurple.generated.ts
var shadesOfPurple = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#2d2b57",
    "color": "#e3dfff",
    "fontWeight": "400"
  },
  "hljs-subst": {
    "color": "#e3dfff"
  },
  "hljs-title": {
    "color": "#fad000",
    "fontWeight": "400"
  },
  "hljs-name": {
    "color": "#a1feff",
    "fontWeight": "400"
  },
  "hljs-tag": {
    "color": "#fff"
  },
  "hljs-attr": {
    "color": "#f8d000",
    "fontStyle": "italic"
  },
  "hljs-built_in": {
    "color": "#fb9e00"
  },
  "hljs-keyword": {
    "color": "#fb9e00",
    "fontWeight": "400"
  },
  "hljs-section": {
    "color": "#fb9e00"
  },
  "hljs-selector-tag": {
    "color": "#fb9e00",
    "fontWeight": "400"
  },
  "hljs-addition": {
    "color": "#4cd213"
  },
  "hljs-attribute": {
    "color": "#4cd213"
  },
  "hljs-bullet": {
    "color": "#4cd213"
  },
  "hljs-code": {
    "color": "#4cd213"
  },
  "hljs-deletion": {
    "color": "#4cd213"
  },
  "hljs-quote": {
    "color": "#4cd213"
  },
  "hljs-regexp": {
    "color": "#4cd213"
  },
  "hljs-selector-attr": {
    "color": "#4cd213"
  },
  "hljs-selector-class": {
    "color": "#4cd213"
  },
  "hljs-selector-pseudo": {
    "color": "#4cd213"
  },
  "hljs-string": {
    "color": "#4cd213"
  },
  "hljs-symbol": {
    "color": "#4cd213"
  },
  "hljs-template-tag": {
    "color": "#4cd213"
  },
  "hljs-meta": {
    "color": "#fb9e00"
  },
  "hljs-meta .hljs-string": {
    "color": "#fb9e00"
  },
  "hljs-comment": {
    "color": "#ac65ff"
  },
  "hljs-literal": {
    "fontWeight": "400",
    "color": "#fa658d"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-number": {
    "color": "#fa658d"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/srcery.generated.ts
var srcery = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#1c1b19",
    "color": "#fce8c3"
  },
  "hljs-literal": {
    "color": "#fce8c3"
  },
  "hljs-quote": {
    "color": "#fce8c3"
  },
  "hljs-subst": {
    "color": "#fce8c3"
  },
  "hljs-symbol": {
    "color": "#68a8e4"
  },
  "hljs-type": {
    "color": "#68a8e4"
  },
  "hljs-deletion": {
    "color": "#ef2f27"
  },
  "hljs-keyword": {
    "color": "#ef2f27"
  },
  "hljs-attribute": {
    "color": "#fbb829"
  },
  "hljs-function": {
    "color": "#fbb829"
  },
  "hljs-name": {
    "color": "#fbb829"
  },
  "hljs-section": {
    "color": "#fbb829"
  },
  "hljs-selector-attr": {
    "color": "#fbb829"
  },
  "hljs-selector-class": {
    "color": "#fbb829"
  },
  "hljs-selector-id": {
    "color": "#fbb829"
  },
  "hljs-selector-pseudo": {
    "color": "#fbb829"
  },
  "hljs-title": {
    "color": "#fbb829"
  },
  "hljs-class": {
    "color": "#0aaeb3"
  },
  "hljs-code": {
    "color": "#0aaeb3"
  },
  "hljs-property": {
    "color": "#0aaeb3"
  },
  "hljs-template-variable": {
    "color": "#0aaeb3"
  },
  "hljs-variable": {
    "color": "#0aaeb3"
  },
  "hljs-addition": {
    "color": "#98bc37"
  },
  "hljs-bullet": {
    "color": "#98bc37"
  },
  "hljs-regexp": {
    "color": "#98bc37"
  },
  "hljs-string": {
    "color": "#98bc37"
  },
  "hljs-built_in": {
    "color": "#ff5c8f"
  },
  "hljs-params": {
    "color": "#ff5c8f"
  },
  "hljs-selector-tag": {
    "color": "#2c78bf"
  },
  "hljs-template-tag": {
    "color": "#2c78bf"
  },
  "hljs-comment": {
    "color": "#918175"
  },
  "hljs-link": {
    "color": "#918175"
  },
  "hljs-meta": {
    "color": "#918175"
  },
  "hljs-number": {
    "color": "#918175"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/stackoverflowDark.generated.ts
var stackoverflowDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#fff",
    "background": "#1c1b1b"
  },
  "hljs-subst": {
    "color": "#fff"
  },
  "hljs-comment": {
    "color": "#999"
  },
  "hljs-attr": {
    "color": "#88aece"
  },
  "hljs-doctag": {
    "color": "#88aece"
  },
  "hljs-keyword": {
    "color": "#88aece"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#88aece"
  },
  "hljs-section": {
    "color": "#88aece"
  },
  "hljs-selector-tag": {
    "color": "#88aece"
  },
  "hljs-attribute": {
    "color": "#c59bc1"
  },
  "hljs-name": {
    "color": "#f08d49"
  },
  "hljs-number": {
    "color": "#f08d49"
  },
  "hljs-quote": {
    "color": "#f08d49"
  },
  "hljs-selector-id": {
    "color": "#f08d49"
  },
  "hljs-template-tag": {
    "color": "#f08d49"
  },
  "hljs-type": {
    "color": "#f08d49"
  },
  "hljs-selector-class": {
    "color": "#88aece"
  },
  "hljs-link": {
    "color": "#b5bd68"
  },
  "hljs-regexp": {
    "color": "#b5bd68"
  },
  "hljs-selector-attr": {
    "color": "#b5bd68"
  },
  "hljs-string": {
    "color": "#b5bd68"
  },
  "hljs-symbol": {
    "color": "#b5bd68"
  },
  "hljs-template-variable": {
    "color": "#b5bd68"
  },
  "hljs-variable": {
    "color": "#b5bd68"
  },
  "hljs-meta": {
    "color": "#88aece"
  },
  "hljs-selector-pseudo": {
    "color": "#88aece"
  },
  "hljs-built_in": {
    "color": "#f08d49"
  },
  "hljs-literal": {
    "color": "#f08d49"
  },
  "hljs-title": {
    "color": "#f08d49"
  },
  "hljs-bullet": {
    "color": "#ccc"
  },
  "hljs-code": {
    "color": "#ccc"
  },
  "hljs-meta .hljs-string": {
    "color": "#b5bd68"
  },
  "hljs-deletion": {
    "color": "#de7176"
  },
  "hljs-addition": {
    "color": "#76c490"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/stackoverflowLight.generated.ts
var stackoverflowLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#2f3337",
    "background": "#f6f6f6"
  },
  "hljs-subst": {
    "color": "#2f3337"
  },
  "hljs-comment": {
    "color": "#656e77"
  },
  "hljs-attr": {
    "color": "#015692"
  },
  "hljs-doctag": {
    "color": "#015692"
  },
  "hljs-keyword": {
    "color": "#015692"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#015692"
  },
  "hljs-section": {
    "color": "#015692"
  },
  "hljs-selector-tag": {
    "color": "#015692"
  },
  "hljs-attribute": {
    "color": "#803378"
  },
  "hljs-name": {
    "color": "#b75501"
  },
  "hljs-number": {
    "color": "#b75501"
  },
  "hljs-quote": {
    "color": "#b75501"
  },
  "hljs-selector-id": {
    "color": "#b75501"
  },
  "hljs-template-tag": {
    "color": "#b75501"
  },
  "hljs-type": {
    "color": "#b75501"
  },
  "hljs-selector-class": {
    "color": "#015692"
  },
  "hljs-link": {
    "color": "#54790d"
  },
  "hljs-regexp": {
    "color": "#54790d"
  },
  "hljs-selector-attr": {
    "color": "#54790d"
  },
  "hljs-string": {
    "color": "#54790d"
  },
  "hljs-symbol": {
    "color": "#54790d"
  },
  "hljs-template-variable": {
    "color": "#54790d"
  },
  "hljs-variable": {
    "color": "#54790d"
  },
  "hljs-meta": {
    "color": "#015692"
  },
  "hljs-selector-pseudo": {
    "color": "#015692"
  },
  "hljs-built_in": {
    "color": "#b75501"
  },
  "hljs-literal": {
    "color": "#b75501"
  },
  "hljs-title": {
    "color": "#b75501"
  },
  "hljs-bullet": {
    "color": "#535a60"
  },
  "hljs-code": {
    "color": "#535a60"
  },
  "hljs-meta .hljs-string": {
    "color": "#54790d"
  },
  "hljs-deletion": {
    "color": "#c02d2e"
  },
  "hljs-addition": {
    "color": "#2f6f44"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/sunburst.generated.ts
var sunburst = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#000",
    "color": "#f8f8f8"
  },
  "hljs-comment": {
    "color": "#aeaeae",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#aeaeae",
    "fontStyle": "italic"
  },
  "hljs-keyword": {
    "color": "#e28964"
  },
  "hljs-selector-tag": {
    "color": "#e28964"
  },
  "hljs-type": {
    "color": "#e28964"
  },
  "hljs-string": {
    "color": "#65b042"
  },
  "hljs-subst": {
    "color": "#daefa3"
  },
  "hljs-link": {
    "color": "#e9c062"
  },
  "hljs-regexp": {
    "color": "#e9c062"
  },
  "hljs-name": {
    "color": "#89bdff"
  },
  "hljs-section": {
    "color": "#89bdff"
  },
  "hljs-tag": {
    "color": "#89bdff"
  },
  "hljs-title": {
    "color": "#89bdff"
  },
  "hljs-class .hljs-title": {
    "textDecoration": "underline"
  },
  "hljs-doctag": {
    "textDecoration": "underline"
  },
  "hljs-title.class_": {
    "textDecoration": "underline"
  },
  "hljs-bullet": {
    "color": "#3387cc"
  },
  "hljs-number": {
    "color": "#3387cc"
  },
  "hljs-symbol": {
    "color": "#3387cc"
  },
  "hljs-params": {
    "color": "#3e87e3"
  },
  "hljs-template-variable": {
    "color": "#3e87e3"
  },
  "hljs-variable": {
    "color": "#3e87e3"
  },
  "hljs-attribute": {
    "color": "#cda869"
  },
  "hljs-meta": {
    "color": "#8996a8"
  },
  "hljs-formula": {
    "backgroundColor": "#0e2231",
    "color": "#f8f8f8",
    "fontStyle": "italic"
  },
  "hljs-addition": {
    "backgroundColor": "#253b22",
    "color": "#f8f8f8"
  },
  "hljs-deletion": {
    "backgroundColor": "#420e09",
    "color": "#f8f8f8"
  },
  "hljs-selector-class": {
    "color": "#9b703f"
  },
  "hljs-selector-id": {
    "color": "#8b98ab"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/tokyoNightDark.generated.ts
var tokyoNightDark = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs-comment": {
    "color": "#565f89"
  },
  "hljs-meta": {
    "color": "#565f89"
  },
  "hljs-deletion": {
    "color": "#f7768e"
  },
  "hljs-doctag": {
    "color": "#f7768e"
  },
  "hljs-regexp": {
    "color": "#f7768e"
  },
  "hljs-selector-attr": {
    "color": "#f7768e"
  },
  "hljs-selector-class": {
    "color": "#f7768e"
  },
  "hljs-selector-id": {
    "color": "#f7768e"
  },
  "hljs-selector-pseudo": {
    "color": "#f7768e"
  },
  "hljs-tag": {
    "color": "#f7768e"
  },
  "hljs-template-tag": {
    "color": "#f7768e"
  },
  "hljs-variable.language_": {
    "color": "#f7768e"
  },
  "hljs-link": {
    "color": "#ff9e64"
  },
  "hljs-literal": {
    "color": "#ff9e64"
  },
  "hljs-number": {
    "color": "#ff9e64"
  },
  "hljs-params": {
    "color": "#ff9e64"
  },
  "hljs-template-variable": {
    "color": "#ff9e64"
  },
  "hljs-type": {
    "color": "#ff9e64"
  },
  "hljs-variable": {
    "color": "#ff9e64"
  },
  "hljs-attribute": {
    "color": "#e0af68"
  },
  "hljs-built_in": {
    "color": "#e0af68"
  },
  "hljs-keyword": {
    "color": "#bb9af7"
  },
  "hljs-property": {
    "color": "#7dcfff"
  },
  "hljs-subst": {
    "color": "#7dcfff"
  },
  "hljs-title": {
    "color": "#7dcfff"
  },
  "hljs-title.class_": {
    "color": "#7dcfff"
  },
  "hljs-title.class_.inherited__": {
    "color": "#7dcfff"
  },
  "hljs-title.function_": {
    "color": "#7dcfff"
  },
  "hljs-selector-tag": {
    "color": "#73daca"
  },
  "hljs-addition": {
    "color": "#9ece6a"
  },
  "hljs-bullet": {
    "color": "#9ece6a"
  },
  "hljs-quote": {
    "color": "#9ece6a"
  },
  "hljs-string": {
    "color": "#9ece6a"
  },
  "hljs-symbol": {
    "color": "#9ece6a"
  },
  "hljs-code": {
    "color": "#7aa2f7"
  },
  "hljs-formula": {
    "color": "#7aa2f7"
  },
  "hljs-section": {
    "color": "#7aa2f7"
  },
  "hljs-attr": {
    "color": "#bb9af7"
  },
  "hljs-char.escape_": {
    "color": "#bb9af7"
  },
  "hljs-name": {
    "color": "#bb9af7"
  },
  "hljs-operator": {
    "color": "#bb9af7"
  },
  "hljs-punctuation": {
    "color": "#c0caf5"
  },
  "hljs": {
    "background": "#1a1b26",
    "color": "#9aa5ce"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/tokyoNightLight.generated.ts
var tokyoNightLight = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs-comment": {
    "color": "#9699a3"
  },
  "hljs-meta": {
    "color": "#9699a3"
  },
  "hljs-deletion": {
    "color": "#8c4351"
  },
  "hljs-doctag": {
    "color": "#8c4351"
  },
  "hljs-regexp": {
    "color": "#8c4351"
  },
  "hljs-selector-attr": {
    "color": "#8c4351"
  },
  "hljs-selector-class": {
    "color": "#8c4351"
  },
  "hljs-selector-id": {
    "color": "#8c4351"
  },
  "hljs-selector-pseudo": {
    "color": "#8c4351"
  },
  "hljs-tag": {
    "color": "#8c4351"
  },
  "hljs-template-tag": {
    "color": "#8c4351"
  },
  "hljs-variable.language_": {
    "color": "#8c4351"
  },
  "hljs-link": {
    "color": "#965027"
  },
  "hljs-literal": {
    "color": "#965027"
  },
  "hljs-number": {
    "color": "#965027"
  },
  "hljs-params": {
    "color": "#965027"
  },
  "hljs-template-variable": {
    "color": "#965027"
  },
  "hljs-type": {
    "color": "#965027"
  },
  "hljs-variable": {
    "color": "#965027"
  },
  "hljs-attribute": {
    "color": "#8f5e15"
  },
  "hljs-built_in": {
    "color": "#8f5e15"
  },
  "hljs-keyword": {
    "color": "#5a4a78"
  },
  "hljs-property": {
    "color": "#0f4b6e"
  },
  "hljs-subst": {
    "color": "#0f4b6e"
  },
  "hljs-title": {
    "color": "#0f4b6e"
  },
  "hljs-title.class_": {
    "color": "#0f4b6e"
  },
  "hljs-title.class_.inherited__": {
    "color": "#0f4b6e"
  },
  "hljs-title.function_": {
    "color": "#0f4b6e"
  },
  "hljs-selector-tag": {
    "color": "#33635c"
  },
  "hljs-addition": {
    "color": "#485e30"
  },
  "hljs-bullet": {
    "color": "#485e30"
  },
  "hljs-quote": {
    "color": "#485e30"
  },
  "hljs-string": {
    "color": "#485e30"
  },
  "hljs-symbol": {
    "color": "#485e30"
  },
  "hljs-code": {
    "color": "#34548a"
  },
  "hljs-formula": {
    "color": "#34548a"
  },
  "hljs-section": {
    "color": "#34548a"
  },
  "hljs-attr": {
    "color": "#5a4a78"
  },
  "hljs-char.escape_": {
    "color": "#5a4a78"
  },
  "hljs-name": {
    "color": "#5a4a78"
  },
  "hljs-operator": {
    "color": "#5a4a78"
  },
  "hljs-punctuation": {
    "color": "#343b58"
  },
  "hljs": {
    "background": "#d5d6db",
    "color": "#565a6e"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/tomorrowNightBlue.generated.ts
var tomorrowNightBlue = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs-comment": {
    "color": "#7285b7"
  },
  "hljs-quote": {
    "color": "#7285b7"
  },
  "hljs-deletion": {
    "color": "#ff9da4"
  },
  "hljs-name": {
    "color": "#ff9da4"
  },
  "hljs-regexp": {
    "color": "#ff9da4"
  },
  "hljs-selector-class": {
    "color": "#ff9da4"
  },
  "hljs-selector-id": {
    "color": "#ff9da4"
  },
  "hljs-tag": {
    "color": "#ff9da4"
  },
  "hljs-template-variable": {
    "color": "#ff9da4"
  },
  "hljs-variable": {
    "color": "#ff9da4"
  },
  "hljs-built_in": {
    "color": "#ffc58f"
  },
  "hljs-link": {
    "color": "#ffc58f"
  },
  "hljs-literal": {
    "color": "#ffc58f"
  },
  "hljs-meta": {
    "color": "#ffc58f"
  },
  "hljs-number": {
    "color": "#ffc58f"
  },
  "hljs-params": {
    "color": "#ffc58f"
  },
  "hljs-type": {
    "color": "#ffc58f"
  },
  "hljs-attribute": {
    "color": "#ffeead"
  },
  "hljs-addition": {
    "color": "#d1f1a9"
  },
  "hljs-bullet": {
    "color": "#d1f1a9"
  },
  "hljs-string": {
    "color": "#d1f1a9"
  },
  "hljs-symbol": {
    "color": "#d1f1a9"
  },
  "hljs-section": {
    "color": "#bbdaff"
  },
  "hljs-title": {
    "color": "#bbdaff"
  },
  "hljs-keyword": {
    "color": "#ebbbff"
  },
  "hljs-selector-tag": {
    "color": "#ebbbff"
  },
  "hljs": {
    "background": "#002451",
    "color": "#fff"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/tomorrowNightBright.generated.ts
var tomorrowNightBright = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs-comment": {
    "color": "#969896"
  },
  "hljs-quote": {
    "color": "#969896"
  },
  "hljs-deletion": {
    "color": "#d54e53"
  },
  "hljs-name": {
    "color": "#d54e53"
  },
  "hljs-regexp": {
    "color": "#d54e53"
  },
  "hljs-selector-class": {
    "color": "#d54e53"
  },
  "hljs-selector-id": {
    "color": "#d54e53"
  },
  "hljs-tag": {
    "color": "#d54e53"
  },
  "hljs-template-variable": {
    "color": "#d54e53"
  },
  "hljs-variable": {
    "color": "#d54e53"
  },
  "hljs-built_in": {
    "color": "#e78c45"
  },
  "hljs-link": {
    "color": "#e78c45"
  },
  "hljs-literal": {
    "color": "#e78c45"
  },
  "hljs-meta": {
    "color": "#e78c45"
  },
  "hljs-number": {
    "color": "#e78c45"
  },
  "hljs-params": {
    "color": "#e78c45"
  },
  "hljs-type": {
    "color": "#e78c45"
  },
  "hljs-attribute": {
    "color": "#e7c547"
  },
  "hljs-addition": {
    "color": "#b9ca4a"
  },
  "hljs-bullet": {
    "color": "#b9ca4a"
  },
  "hljs-string": {
    "color": "#b9ca4a"
  },
  "hljs-symbol": {
    "color": "#b9ca4a"
  },
  "hljs-section": {
    "color": "#7aa6da"
  },
  "hljs-title": {
    "color": "#7aa6da"
  },
  "hljs-keyword": {
    "color": "#c397d8"
  },
  "hljs-selector-tag": {
    "color": "#c397d8"
  },
  "hljs": {
    "background": "#000",
    "color": "#eaeaea"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/vs.generated.ts
var vs = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#000"
  },
  "hljs-comment": {
    "color": "green"
  },
  "hljs-quote": {
    "color": "green"
  },
  "hljs-variable": {
    "color": "green"
  },
  "hljs-built_in": {
    "color": "#00f"
  },
  "hljs-keyword": {
    "color": "#00f"
  },
  "hljs-name": {
    "color": "#00f"
  },
  "hljs-selector-tag": {
    "color": "#00f"
  },
  "hljs-tag": {
    "color": "#00f"
  },
  "hljs-addition": {
    "color": "#a31515"
  },
  "hljs-attribute": {
    "color": "#a31515"
  },
  "hljs-literal": {
    "color": "#a31515"
  },
  "hljs-section": {
    "color": "#a31515"
  },
  "hljs-string": {
    "color": "#a31515"
  },
  "hljs-template-tag": {
    "color": "#a31515"
  },
  "hljs-template-variable": {
    "color": "#a31515"
  },
  "hljs-title": {
    "color": "#a31515"
  },
  "hljs-type": {
    "color": "#a31515"
  },
  "hljs-deletion": {
    "color": "#2b91af"
  },
  "hljs-meta": {
    "color": "#2b91af"
  },
  "hljs-selector-attr": {
    "color": "#2b91af"
  },
  "hljs-selector-pseudo": {
    "color": "#2b91af"
  },
  "hljs-doctag": {
    "color": "grey"
  },
  "hljs-attr": {
    "color": "red"
  },
  "hljs-bullet": {
    "color": "#00b0e8"
  },
  "hljs-link": {
    "color": "#00b0e8"
  },
  "hljs-symbol": {
    "color": "#00b0e8"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  }
};

// src/lib/styles/vs2015.generated.ts
var vs2015 = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#1e1e1e",
    "color": "#dcdcdc"
  },
  "hljs-keyword": {
    "color": "#569cd6"
  },
  "hljs-literal": {
    "color": "#569cd6"
  },
  "hljs-name": {
    "color": "#569cd6"
  },
  "hljs-symbol": {
    "color": "#569cd6"
  },
  "hljs-link": {
    "color": "#569cd6",
    "textDecoration": "underline"
  },
  "hljs-built_in": {
    "color": "#4ec9b0"
  },
  "hljs-type": {
    "color": "#4ec9b0"
  },
  "hljs-class": {
    "color": "#b8d7a3"
  },
  "hljs-number": {
    "color": "#b8d7a3"
  },
  "hljs-meta .hljs-string": {
    "color": "#d69d85"
  },
  "hljs-string": {
    "color": "#d69d85"
  },
  "hljs-regexp": {
    "color": "#9a5334"
  },
  "hljs-template-tag": {
    "color": "#9a5334"
  },
  "hljs-formula": {
    "color": "#dcdcdc"
  },
  "hljs-function": {
    "color": "#dcdcdc"
  },
  "hljs-params": {
    "color": "#dcdcdc"
  },
  "hljs-subst": {
    "color": "#dcdcdc"
  },
  "hljs-title": {
    "color": "#dcdcdc"
  },
  "hljs-comment": {
    "color": "#57a64a",
    "fontStyle": "italic"
  },
  "hljs-quote": {
    "color": "#57a64a",
    "fontStyle": "italic"
  },
  "hljs-doctag": {
    "color": "#608b4e"
  },
  "hljs-meta": {
    "color": "#9b9b9b"
  },
  "hljs-meta .hljs-keyword": {
    "color": "#9b9b9b"
  },
  "hljs-tag": {
    "color": "#9b9b9b"
  },
  "hljs-template-variable": {
    "color": "#bd63c5"
  },
  "hljs-variable": {
    "color": "#bd63c5"
  },
  "hljs-attr": {
    "color": "#9cdcfe"
  },
  "hljs-attribute": {
    "color": "#9cdcfe"
  },
  "hljs-section": {
    "color": "gold"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-bullet": {
    "color": "#d7ba7d"
  },
  "hljs-selector-attr": {
    "color": "#d7ba7d"
  },
  "hljs-selector-class": {
    "color": "#d7ba7d"
  },
  "hljs-selector-id": {
    "color": "#d7ba7d"
  },
  "hljs-selector-pseudo": {
    "color": "#d7ba7d"
  },
  "hljs-selector-tag": {
    "color": "#d7ba7d"
  },
  "hljs-addition": {
    "backgroundColor": "#144212",
    "display": "inline-block",
    "width": "100%"
  },
  "hljs-deletion": {
    "backgroundColor": "#600",
    "display": "inline-block",
    "width": "100%"
  }
};

// src/lib/styles/xcode.generated.ts
var xcode = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "background": "#fff",
    "color": "#000"
  },
  "xml .hljs-meta": {
    "color": "silver"
  },
  "hljs-comment": {
    "color": "#007400"
  },
  "hljs-quote": {
    "color": "#007400"
  },
  "hljs-attribute": {
    "color": "#aa0d91"
  },
  "hljs-keyword": {
    "color": "#aa0d91"
  },
  "hljs-literal": {
    "color": "#aa0d91"
  },
  "hljs-name": {
    "color": "#aa0d91"
  },
  "hljs-selector-tag": {
    "color": "#aa0d91"
  },
  "hljs-tag": {
    "color": "#aa0d91"
  },
  "hljs-template-variable": {
    "color": "#3f6e74"
  },
  "hljs-variable": {
    "color": "#3f6e74"
  },
  "hljs-code": {
    "color": "#c41a16"
  },
  "hljs-meta .hljs-string": {
    "color": "#c41a16"
  },
  "hljs-string": {
    "color": "#c41a16"
  },
  "hljs-link": {
    "color": "#0e0eff"
  },
  "hljs-regexp": {
    "color": "#0e0eff"
  },
  "hljs-bullet": {
    "color": "#1c00cf"
  },
  "hljs-number": {
    "color": "#1c00cf"
  },
  "hljs-symbol": {
    "color": "#1c00cf"
  },
  "hljs-title": {
    "color": "#1c00cf"
  },
  "hljs-meta": {
    "color": "#643820"
  },
  "hljs-section": {
    "color": "#643820"
  },
  "hljs-built_in": {
    "color": "#5c2699"
  },
  "hljs-class .hljs-title": {
    "color": "#5c2699"
  },
  "hljs-params": {
    "color": "#5c2699"
  },
  "hljs-title.class_": {
    "color": "#5c2699"
  },
  "hljs-type": {
    "color": "#5c2699"
  },
  "hljs-attr": {
    "color": "#836c28"
  },
  "hljs-subst": {
    "color": "#000"
  },
  "hljs-formula": {
    "backgroundColor": "#eee",
    "fontStyle": "italic"
  },
  "hljs-addition": {
    "backgroundColor": "#baeeba"
  },
  "hljs-deletion": {
    "backgroundColor": "#ffc8bd"
  },
  "hljs-selector-class": {
    "color": "#9b703f"
  },
  "hljs-selector-id": {
    "color": "#9b703f"
  },
  "hljs-doctag": {
    "fontWeight": "700"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  }
};

// src/lib/styles/xt256.generated.ts
var xt256 = {
  "re code.hljs": {
    "display": "block",
    "overflowX": "auto",
    "padding": "1em"
  },
  "ode.hljs": {
    "padding": "3px 5px"
  },
  "hljs": {
    "color": "#eaeaea",
    "background": "#000"
  },
  "hljs-subst": {
    "color": "#eaeaea"
  },
  "hljs-emphasis": {
    "fontStyle": "italic"
  },
  "hljs-strong": {
    "fontWeight": "700"
  },
  "hljs-type": {
    "color": "#eaeaea"
  },
  "hljs-params": {
    "color": "#da0000"
  },
  "hljs-literal": {
    "color": "red",
    "fontWeight": "bolder"
  },
  "hljs-name": {
    "color": "red",
    "fontWeight": "bolder"
  },
  "hljs-number": {
    "color": "red",
    "fontWeight": "bolder"
  },
  "hljs-comment": {
    "color": "#969896"
  },
  "hljs-quote": {
    "color": "#0ff"
  },
  "hljs-selector-id": {
    "color": "#0ff"
  },
  "hljs-template-variable": {
    "color": "#0ff",
    "fontWeight": "700"
  },
  "hljs-title": {
    "color": "#0ff",
    "fontWeight": "700"
  },
  "hljs-variable": {
    "color": "#0ff",
    "fontWeight": "700"
  },
  "hljs-keyword": {
    "color": "#fff000"
  },
  "hljs-selector-class": {
    "color": "#fff000"
  },
  "hljs-symbol": {
    "color": "#fff000"
  },
  "hljs-bullet": {
    "color": "#0f0"
  },
  "hljs-string": {
    "color": "#0f0"
  },
  "hljs-section": {
    "color": "#000fff"
  },
  "hljs-tag": {
    "color": "#000fff"
  },
  "hljs-selector-tag": {
    "color": "#000fff",
    "fontWeight": "700"
  },
  "hljs-attribute": {
    "color": "#f0f"
  },
  "hljs-built_in": {
    "color": "#f0f"
  },
  "hljs-link": {
    "color": "#f0f"
  },
  "hljs-regexp": {
    "color": "#f0f"
  },
  "hljs-meta": {
    "color": "#fff",
    "fontWeight": "bolder"
  }
};

// src/utils/createCodeTree.ts
var createCodeTree = ({ code, language }) => language && lowlight.listLanguages().includes(language) ? lowlight.highlight(language, code) : lowlight.highlightAuto(code);

// src/utils/getClassNameCombinations.ts
var classNameCombinations = {};
var getClassNameCombinations = (classNames) => {
  if (classNames.length === 0 || classNames.length === 1)
    return classNames;
  const key = classNames.join(".");
  if (!classNameCombinations[key]) {
    classNameCombinations[key] = createPowerSetPermutations(classNames);
  }
  return classNameCombinations[key];
};

// src/utils/createStyleObject.ts
var createStyleObject = ({
  classNames,
  stylesheet
}) => {
  const nonTokenClassNames = classNames.filter(
    (className) => className !== "token"
  );
  const classNamesCombinations = getClassNameCombinations(nonTokenClassNames);
  return classNamesCombinations.reduce(
    (styleObject, className) => __spreadValues(__spreadValues({}, styleObject), stylesheet[className]),
    {}
  );
};

// src/utils/flattenCodeTree.ts
var flattenCodeTree = ({
  tree,
  className = [],
  accumulator = []
}) => {
  for (let i = 0; i < tree.length; i++) {
    const node = tree[i];
    if (node.type === "text") {
      const element = createSpan({
        children: [node],
        className: [...new Set(className)]
      });
      accumulator.push(element);
    } else if (node.children) {
      const codeTree = flattenCodeTree({
        tree: node.children,
        className: className.concat(node.properties.className)
      });
      codeTree.forEach((element) => accumulator.push(element));
    }
  }
  return accumulator;
};

// src/components/code-line/codeLine.tsx
var import_jsx_runtime = require("theme-ui/jsx-runtime");
var CodeLine = ({ node, stylesheet }) => {
  const allStylesheetSelectors = (0, import_react.useMemo)(
    () => Object.keys(stylesheet).reduce((classes, selector) => {
      selector.split(".").forEach((className2) => {
        if (!classes.includes(className2)) {
          classes.concat(className2);
        }
      });
      return classes;
    }),
    [stylesheet]
  );
  if (node.type === "text") {
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { children: node.value });
  }
  const { properties: properties2 } = node;
  const startingClassName = properties2.className && properties2.className.includes("token") ? ["token"] : [];
  const className = properties2.className && startingClassName.concat(
    properties2.className.filter(
      (cname) => !allStylesheetSelectors.includes(cname)
    )
  );
  const props = __spreadProps(__spreadValues({}, properties2), {
    className: className.join(" ") || void 0,
    style: createStyleObject({
      classNames: properties2.className,
      stylesheet
    })
  });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_theme_ui.Box, __spreadProps(__spreadValues({ as: node.tagName || "span" }, props), { children: node.children.map((child, index) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
    CodeLine,
    {
      node: child,
      stylesheet
    },
    `code-line-${index.toString()}`
  )) }));
};

// src/hooks.ts
var import_react2 = require("react");
var useCodeTree = (options) => (0, import_react2.useMemo)(() => {
  const { children: tree } = createCodeTree(options);
  return flattenCodeTree({ tree });
}, [options]);

// src/component.tsx
var import_jsx_runtime2 = require("theme-ui/jsx-runtime");
var SyntaxHighlighter = ({
  children,
  wrapLines,
  language,
  styleName = "defaultStyle"
}) => {
  const style = styles_exports[styleName];
  const codeTree = useCodeTree({
    code: children,
    language
  });
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
    "pre",
    {
      sx: __spreadProps(__spreadValues({}, style.hljs), {
        paddingX: "md",
        fontFamily: "inherit",
        fontWeight: "inherit",
        lineHeight: "inherit",
        paddingTop: "2rem",
        paddingBottom: "2.25rem"
      }),
      children: /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
        "code",
        {
          className: language ? `language-${language}` : void 0,
          sx: { whiteSpace: wrapLines ? "pre-wrap" : "pre" },
          children: codeTree.map((node, index) => /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
            CodeLine,
            {
              node,
              stylesheet: style
            },
            `code-segment-${index.toString()}`
          ))
        }
      )
    }
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  SUPPORTED_LANGUAGES,
  SyntaxHighlighter
});
//# sourceMappingURL=index.js.map